package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPSPJKPZService;
import com.jusfoun.ydylsz.vo.DXPSPJKPZVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_SPJKPZ--表4-18 视频监控配置数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPSPJKPZ")
@Api(description="DXP_SPJKPZ--表4-18 视频监控配置数据接口")
public class DXPSPJKPZController{

	@Autowired
	private DXPSPJKPZService dxpspjkpzService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPSPJKPZVO>> selectList(@RequestBody DXPSPJKPZVO vo){
		RootResult<PageInfo<DXPSPJKPZVO>> r = new RootResult<PageInfo<DXPSPJKPZVO>>();
		try {
			r.setData(dxpspjkpzService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPSPJKPZVO> selectDetail(@RequestBody DXPSPJKPZVO vo){
		RootResult<DXPSPJKPZVO> r = new RootResult<DXPSPJKPZVO>();
		try {
			r.setData(dxpspjkpzService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}