package com.jusfoun.ydylsz.mapper;

import java.util.List;

import com.jusfoun.ydylsz.vo.DKdxxsjySlqyVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.jusfoun.ydylsz.vo.DKdxxsjyVO;

import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: DKdxxsjyDao 
 * @Description: DKdxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DKdxxsjyDao extends Mapper<DKdxxsjyVO> {

	/**
	 * 根据库点编码获取库点信息 
	 * @param kddm 库点编号
	 * @return
	 */
	DKdxxsjySlqyVO getDKdxxsjyInfoBykddm(@Param("kddm")String kddm);

	String countHw(String qybm);
}
