package	com.jusfoun.ydylsz.mapper;

import java.util.List;
import java.util.Map;

import com.jusfoun.ydylsz.vo.HysVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.pojo.TreeNode;
import com.jusfoun.ydylsz.vo.DXPAJXXVO;


//DXP_AJXX--表4-6 廒间信息数据接口接口
@Mapper
public interface DXPAJXXMapper{


	public	void insert(DXPAJXXVO vo);	//insert;

	public	void update(DXPAJXXVO vo);	//update;

	public	void delete(DXPAJXXVO vo);	//delete;

	public	DXPAJXXVO selectDetail(DXPAJXXVO pojo);	//selectDetail;

	public	java.util.List<DXPAJXXVO>  selectList(DXPAJXXVO vo);	//selectList;

	public List<TreeNode> queryParentId();

	public List<TreeNode> queryChildListById(@Param("zid") String zid);

	public List<Map<String, Object>> selectByKqbmList(String kqbm);

	public List<Map<String, Object>> selectByKqbmAndCfbhList(@Param("kqbm")String kqbm,@Param("cfbh")String cfbh);

	public String selectByCfbh(@Param("cfbh")String cfbh);

    List<String> selectByKddm(@Param("kqbm")String kqbm);

	public String queryClassStrId(@Param("kddm")String kddm);

	public List<Map<String,Object>> queryChildren(@Param("classStrId")String classStrId);

	public List<Map> selectByKqbmListByZzjgdm(@Param("zzjgdm")String zzjgdm);

    Integer countStdcode();

    Map<String, Object> getDataByRowIndex(@Param("rowIndex") Integer rowIndex);

	public List<Map<String, Object>> selectByKqdmAndCfdmList(@Param("kqdm")String kqdm,@Param("cfdm")String cfdm);
}
