package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.DeviceVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author yanqing
 * @date 2022/4/15 16:23
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DeviceDao {
    List<DeviceVO> selectByKddm(@Param("kddm") String kddm);
}
