package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.pojo.HlhtCapturePicVo;
import com.jusfoun.ydylsz.pojo.OdsUpCnsptxxxjkFinalVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * @author by PIG
 * 2022/9/23 15
 */
@Mapper
@Transactional(rollbackFor = Exception.class)
public interface HlhtCapturePicMapper extends BaseMapper<HlhtCapturePicVo> {


    List<HlhtCapturePicVo> listAllHw(Map<String, Object> param);

    void saveEntity(HlhtCapturePicVo item);

    @Select(value = "select * from hlht_capture_pic where fid = #{fid}")
    HlhtCapturePicVo selectById(@Param("fid") Long fid);

    @Update("update hlht_capture_pic set file_str = #{file_str} where fid = #{fid}")
    int updateEntity(HlhtCapturePicVo entity);

    List<HlhtCapturePicVo> getCnspt(HlhtCapturePicVo hlhtCapturePicVo);
}
