package com.jusfoun.ydylsz.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jusfoun.ydylsz.vo.zjbg.ZbVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "xwk_kcxx--库存信息")
@Table(name="xwk_kcxx")
public class KcxxVO {
	private String kcxxid;
	private String hwbm;
	private String pzbm;
	private String pzbmmc;
	private String lsxzbm;
	private String lsxzbmmc;
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private Date rksj;
	private String djbm;
	private Double kcsl;
	private String kcslStr;
	private String depotName;
	private String warehouseName;
	private String cfmc;
	private String cfbh;

	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private Date rksjStart;

	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private Date rksjEnd;
	
	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value="所属库点编号",required = true,example = "eg:911202236794497949001  长度30")
	@Column(name = "kddm")
	private String kddm;

}