package com.jusfoun.ydylsz.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 仓内视频图像
 */
@Data
@AllArgsConstructor
@Builder
@NoArgsConstructor
@Table(name = "ods_up_cnsptxxxjk_final")
public class OdsUpCnsptxxxjkFinalVo {

    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "kqdm")
    private String kqdm;

    @Column(name = "spjksbid")
    private String spjksbid;

    @Column(name = "cfdm")
    private String cfdm;

    @Column(name = "hwdm")
    private String hwdm;

    @Column(name = "zpsj")
    private String zpsj;

    @Column(name = "cntxwjl")
    private String cntxwjl;

    @Column(name = "yzwbh")
    private String yzwbh;

    @Column(name = "czbz")
    private String  czbz;

    @Column(name = "zhgxsj")
    private String zhgxsj;

    @Column(name = "is_upload")
    private Integer isUpload;

    @Column(name = "load_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date loadDate;

    @Column(name = "jkdbm")
    private String jkdbm;
}
