package com.jusfoun.ydylsz.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;


@Data
@ApiModel(value = "温度统计")
public class WdVO {
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date ttime;
	private String intemp;
	private String inh;
	private String outtemp;
	private String outh;
	private String tmax;
	private String tmin;
	private String tavg;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date updatetime;
	private String tpoints;
	private String storehousecode;
	private String storehousename;
	private String depotname;
	private String tyshxydm;
	private String hwbm;
	private String warehousename;
	private String warehousecode;
	private String djbm;
	private String djbmmc;
	private String pzbm;
	private String pzbmmc;
	private String cflx;
	private String cfmc;
	private String bgy;
	private String qybm;

	private Double tempStart;
	private Double tempEnd;

	private String areacode;
	private String orgcode;
	private String roleId;




}