package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.vo.DXPKHXXVO;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPKHXXMapper;


//DXP_KHXX--表4-13 客户信息数据接口业务层  
@Service
public class DXPKHXXService{

	@Autowired
	private DXPKHXXMapper dxpkhxxMapper;

	//列表
	public	PageInfo<DXPKHXXVO>  selectList(DXPKHXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPKHXXVO> pageInfo = new PageInfo<>(dxpkhxxMapper.selectList(vo));
		return pageInfo;
	}

	//详情
	public	DXPKHXXVO selectDetail(DXPKHXXVO vo) throws Exception{
		return dxpkhxxMapper.selectDetail(vo);
	}


}