package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.vo.DXPLSKCSJVO;
import com.jusfoun.ydylsz.vo.LineVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;


import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;

import com.alibaba.fastjson.JSONArray;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPLSKCSJMapper;
import com.jusfoun.ydylsz.mapper.KshGgfwMapper;
import com.jusfoun.ydylsz.util.DoubleUtil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;

import java.util.List;
import java.util.Map;


//DXP_LSKCSJ--表4-14 月度粮食库存数据接口业务层  
@Service
public class DXPLSKCSJService{

	@Autowired
	private DXPLSKCSJMapper dxplskcsjMapper;
	
	@Autowired
	private KshGgfwMapper kshGgfwMapper;

	//列表
	public	PageInfo<DXPLSKCSJVO>  selectList(DXPLSKCSJVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPLSKCSJVO> pageInfo = new PageInfo<>(dxplskcsjMapper.selectList(vo));
		return pageInfo;
	}

	//详情
	public	DXPLSKCSJVO selectDetail(DXPLSKCSJVO vo) throws Exception{
		return dxplskcsjMapper.selectDetail(vo);
	}


    public List<DXPLSKCSJVO> selectListByKq(String kqbm,String shnd) {
		return dxplskcsjMapper.selectListByKq(kqbm,shnd);
    }

	/*public KshLdjscJgqyxqLRLOutputVo queryKuCunNum(String kqbm) {
		
		List<String> years = new ArrayList<>();
		List<String> series1 = new ArrayList<>();
		List<LineVO> series = new ArrayList<LineVO>();
		
		KshLdjscJgqyxqLRLOutputVo vo = new KshLdjscJgqyxqLRLOutputVo();	
		
		List<Map<String, Object>> dataList = dxplskcsjMapper.queryKuCuninfo(kqbm);
		
		if (dataList !=null && dataList.size()>0) {
			
			for (int i = 0; i < dataList.size(); i++) {			 
				
				if(!years.contains(dataList.get(i).get("nd").toString())) {
					
					years.add(dataList.get(i).get("nd").toString());
					
				}
									
			}			
			
			series1.add("小麦");
			series1.add("稻谷");
			series1.add("玉米");
			series1.add("大豆");
			
			//小麦
			LineVO vo1 = new LineVO();
			Double[] dou1 = new Double[years.size()];
			int i = 0;
			for (Map<String, Object> map : dataList) {
				Object dataPzmc = map.get("pzmc");
				if(dataPzmc.equals("小麦")) {
					dou1[i]=(Double.valueOf(map.get("qmkc")+""));
					i ++;
				}
			}
			vo1.setData(dou1);
			vo1.setName("小麦");
			series.add(vo1);
			
			//稻谷
			LineVO vo2 = new LineVO();
			Double[] dou2 = new Double[years.size()];
			int j = 0;
			for (Map<String, Object> map2 : dataList) {
				Object dataPzmc = map2.get("pzmc");
				if(dataPzmc.equals("稻谷")) {
					dou1[j]=(Double.valueOf(map2.get("qmkc")+""));
					j ++;
				}
			}
			vo1.setData(dou2);
			vo1.setName("稻谷");
			series.add(vo1);
			
		}
		
		vo.setYears(years);
		vo.setSeries1(series1);
		vo.setSeries(series);
		
		return vo;
	}*/

	/*public KshYzLtOutVo queryKuCunXz(String kqbm) {
		
		List<KshKV> dataList = dxplskcsjMapper.queryKuCunXz(kqbm);
		
		List<KshKV> dataListJh = new ArrayList<KshKV>();
		
		KshYzLtOutVo outVo = new KshYzLtOutVo();
		
		for (KshKV kshKV : dataList) {
			
			KshKV kshkv = new KshKV();
			
			kshkv.setName(kshKV.getName());
			
			kshkv.setValue(DoubleUtil.parDouble(kshKV.getValue()));
			
			dataListJh.add(kshkv);
			
		}
		
		outVo.setData(dataListJh);
		
		return outVo;
		
	}*/

	
    public static void main(String[] args) {
		JSONArray array = new JSONArray();
		for (int j = 0; j < 36; j++) {
			array.add(j, "");
		}
//		array.get(3)
		// System.out.println(array.toJavaList(String.class));
	}
    
	//小麦
	final String xiaomai = "1110000";
	//稻谷
	final String daogu = "1130000";
	//玉米
	final String yumi = "1120000";
	//大豆
	final String dadou = "1140000";
	//中央储备粮
	final String zycbl = "110";
	//地方储备粮
	final String dfcbl = "120";
	//商品粮
	final String sbl = "200";
	//最低收购价粮
	final String zjshjl = "310";
	//国家临时存储粮
	final String gjlsccl = "320";
	//国家临储进口粮
	final String gjlcjkl = "330";
	
	String key = "key";
    /**
     *	 库存明细
     * @param kqbm
     * @return
     */
	public JSONArray selectInventoryDetail(String kqbm) {
		//初始化列表数据
		JSONArray array = new JSONArray();
		for (int j = 0; j < 36; j++) {
			array.add(j, 0);
		}
		int count = 0;
		
		initArray(array, kqbm, zycbl, count);
		count += 5;
		initArray(array, kqbm, dfcbl, count);
		count += 5;
		initArray(array, kqbm, sbl, count);
		count += 5;
		initArray(array, kqbm, zjshjl, count);
		count += 5;
		initArray(array, kqbm, gjlsccl, count);
		count += 5;
		initArray(array, kqbm, gjlcjkl, count);
		
		return array;
	}

	/*
	 * 初始化库存明细表格数据
	 */
	public JSONArray initArray(JSONArray array,String kqbm,String lsxzbm, int count) {
		float hjTotal = 0;
		List<DXPLSKCSJVO> dfcblList = dxplskcsjMapper.selectInventoryDetail(kqbm,lsxzbm);
		for (DXPLSKCSJVO vo : dfcblList) {
			hjTotal += vo.getKcTotal();
			String pzbm = vo.getPzbm();
			switch (pzbm) {
			case xiaomai: 
				array.set(7+count, vo.getKcTotal());
				//合计
				array.set(1, vo.getKcTotal()+array.getFloatValue(1));
				break;
			case daogu: 
				array.set(8+count, vo.getKcTotal());
				//合计
				array.set(2, vo.getKcTotal()+array.getFloatValue(2));
				break;
			case yumi: 
				array.set(9+count, vo.getKcTotal());
				//合计
				array.set(3, vo.getKcTotal()+array.getFloatValue(3));
				break;
			case dadou: 
				array.set(10+count, vo.getKcTotal());
				//合计
				array.set(4, vo.getKcTotal()+array.getFloatValue(4));
				break;
			default:
				array.set(5,array.getFloatValue(5)+vo.getKcTotal());
				break;
			}
		}
		array.set(6+count,hjTotal);
		//合计
		array.set(0,hjTotal+array.getFloatValue(0));
		return array;
	}

	/**
	 * 库存报告
	 * @param kqbm
	 * @return
	 */
	public JSONObject selectInventoryReport(String kqbm) {
		JSONObject jsonobj = new JSONObject();
		//
		float kcTotal = 0;
		List<DXPLSKCSJVO> pzlist = dxplskcsjMapper.selectInventoryReportByZd(kqbm,"kc.pzbm");
		List<DXPLSKCSJVO> lsxzlist = dxplskcsjMapper.selectInventoryReportByZd(kqbm,"kc.lsxzbm");
		List<DXPLSKCSJVO> shndlist = dxplskcsjMapper.selectInventoryReportByZd(kqbm,"kc.shnd");
		for (DXPLSKCSJVO vo : lsxzlist) {
			kcTotal += vo.getKcTotal();
		}
		jsonobj.put("kcTotal", kcTotal);
		jsonobj.put("pzlist", pzlist);
		jsonobj.put("lsxzlist", lsxzlist);
		jsonobj.put("shndlist", shndlist);
		return jsonobj;
	}
		
	/**
	 * 获取柱状图数据
	 */
	public JSONObject selectInventoryBarChart(String kqbm) {
		JSONObject jsonobj = new JSONObject();
		List<String> shndList = new ArrayList<String>();
		List<String> dataPzList = new ArrayList<String>();		
		List<String> pzmcList = new ArrayList<String>();
		JSONArray array = new JSONArray();
		List<DXPLSKCSJVO> shndDatalist = dxplskcsjMapper.selectInventoryBarChartData(kqbm);
		List<java.util.Map<String, Object>> pzList = kshGgfwMapper.getSjzdListByPcode("1000000");
		for (DXPLSKCSJVO vo : shndDatalist) {
			if(shndList.contains(vo.getShnd()) == false) {
				shndList.add(vo.getShnd());
			}
			if(dataPzList.contains(vo.getPzmc()) == false) {
				dataPzList.add(vo.getPzmc());
			}			
		}
		
		for (java.util.Map<String, Object> pz : pzList) {
			List<Float> kcList = new ArrayList<Float>();
			JSONObject obj = new JSONObject();
			String orDefault = pz.getOrDefault("name", "") + "";
			
			for (DXPLSKCSJVO vo : shndDatalist) {
				String vopzmc = vo.getPzmc();
				if (orDefault.equals(vopzmc)) {
					kcList.add(vo.getKcTotal());
				}
			}

			for (String shnd : shndList) {
				if (dataPzList.contains(orDefault) == false) {
					kcList.add(0f);
				}
			}
			obj.put("data", kcList);
			obj.put("name", orDefault);			
			array.add(obj);
			pzmcList.add(orDefault);
		}
		
		jsonobj.put("pzmcList", pzmcList);
		jsonobj.put("shndList", shndList);
		jsonobj.put("dataList", array);
		return jsonobj;
	}
}