package com.jusfoun.ydylsz.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkChjcMapper;
import com.jusfoun.ydylsz.mapper.XwkTfzybMapper;
import com.jusfoun.ydylsz.vo.XwkChjc;
import com.jusfoun.ydylsz.vo.XwkTfzyb;

@Service
public class TfService {

	@Autowired
	private XwkTfzybMapper xwkTfzybMapper;

	public List<XwkTfzyb> list(String cfbh) {
		XwkTfzyb tfzyb = new XwkTfzyb();
		tfzyb.setHwbm(cfbh);
		return xwkTfzybMapper.select(null);
	}

	public XwkTfzyb info(String tfzyid) {
		XwkTfzyb tfzyb = new XwkTfzyb();
		tfzyb.setTfzyid(tfzyid);
		return xwkTfzybMapper.info(tfzyb);
	}

	public PageInfo<XwkTfzyb> page(XwkTfzyb xwkTfzyb, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<XwkTfzyb>(xwkTfzybMapper.select(xwkTfzyb));
	}

	public PageInfo<XwkTfzyb> tfPage(XwkTfzyb xwkTfzyb, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<XwkTfzyb>(xwkTfzybMapper.tfPage(xwkTfzyb));
	}

}
