package com.jusfoun.ydylsz.service;

import java.util.List;

import com.jusfoun.ydylsz.vo.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkChjcMapper;
import com.jusfoun.ydylsz.mapper.XwkZljcMapper;

@Service
public class ZljcService {

	@Autowired
	private XwkZljcMapper xwkZljcMapper;

	public List<XwkZljyxx> list(XwkZljyxx xwkChjc) {
		return xwkZljcMapper.select(xwkChjc);
	}

	public PageInfo<XwkZljyxxUnitedVO> zljcPage(XwkZljyxxUnitedVO  xwkChjc, int pageNum, int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<XwkZljyxxUnitedVO> list= xwkZljcMapper.zljcPage(xwkChjc);
		PageInfo<XwkZljyxxUnitedVO> pageInfo=new PageInfo<>(list, 10);
		return pageInfo;
	}

	public PageInfo<XwkZljyxx> page(XwkZljyxx xwkChjc, Integer pageNo, Integer pageSize) {
		return new PageInfo<XwkZljyxx>(xwkZljcMapper.select(xwkChjc));
	}

	public XwkZljyxx info(String zljcid) {
		return xwkZljcMapper.info(zljcid);
	}


}
