package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import java.util.List;


@Data
@ApiModel(value = "DXP_LQJC--表4-16 粮情监测数据接口")
@Table(name="DXP_LQJC")
public class DXPLQJCVO extends QueryVo{

	@ApiModelProperty(value = "粮情监测编码")
	private	String lqjcbm;	//db_column:lqjcbm	note:粮情监测编码

	@ApiModelProperty(value = "监测时间")
	private	String jcsj;	//db_column:jcsj	note:监测时间

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "仓房外温")
	private	Double cfww;	//db_column:cfww	note:仓房外温

	@ApiModelProperty(value = "仓房外湿")
	private	Double cfws;	//db_column:cfws	note:仓房外湿

	@ApiModelProperty(value = "仓房内温")
	private	Double cfnw;	//db_column:cfnw	note:仓房内温

	@ApiModelProperty(value = "仓房内湿")
	private	Double cfns;	//db_column:cfns	note:仓房内湿

	@ApiModelProperty(value = "最高温")
	private	Float zgw;	//db_column:zgw	note:最高温

	@ApiModelProperty(value = "最低温")
	private	Float zdw;	//db_column:zdw	note:最低温

	@ApiModelProperty(value = "平均温")
	private	Float pjw;	//db_column:pjw	note:平均温

	@ApiModelProperty(value = "粮食温度值集合")
	private	String lswdzjh;	//db_column:lswdzjh	note:粮食温度值集合

	@ApiModelProperty(value = "粮食湿度值集合")
	private	String lssdzjh;	//db_column:lssdzjh	note:粮食湿度值集合

	@ApiModelProperty(value = "粮食水分值集合")
	private	String lssfzjh;	//db_column:lssfzjh	note:粮食水分值集合

	private List<XYZVO> xyz;

	private String cfbh;
	
	private String czbz;
	
	private String dxTime;

}