package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import java.util.ArrayList;
import java.util.List;


@Data
@ApiModel(value = "DXP_QYXX--表4-2 企业信息数据接口")
@Table(name="DXP_QYXX")
public class DXPQYXXVO extends QueryVo{
	
	@ApiModelProperty(value = "Id")
	private Integer id;

	@ApiModelProperty(value = "企业代码")
	private	String qydm;	//db_column:qydm	note:企业代码

	@ApiModelProperty(value = "企业名称")
	private	String qymc;	//db_column:qymc	note:企业名称

	@ApiModelProperty(value = "企业类型")
	private	String qylx;	//db_column:qylx	note:企业类型

	@ApiModelProperty(value = "注册时间")
	private	String zcsj;	//db_column:zcsj	note:注册时间

	@ApiModelProperty(value = "注册资本")
	private	String zczb;	//db_column:zczb	note:注册资本

	@ApiModelProperty(value = "资产总额")
	private	String zcze;	//db_column:zcze	note:资产总额

	@ApiModelProperty(value = "法定代表人")
	private	String fddbr;	//db_column:fddbr	note:法定代表人

	@ApiModelProperty(value = "身份证号")
	private	String sfzh;	//db_column:sfzh	note:身份证号

	@ApiModelProperty(value = "法人联系方式")
	private	String frsjh;	//db_column:frsjh	note:法人联系方式

	@ApiModelProperty(value = "企业联系人")
	private	String qylxr;	//db_column:qylxr	note:企业联系人

	@ApiModelProperty(value = "办公电话")
	private	String bgdh;	//db_column:bgdh	note:办公电话

	@ApiModelProperty(value = "注册地址")
	private	String yydz;	//db_column:yydz	note:注册地址

	@ApiModelProperty(value = "电子邮箱")
	private	String dzyx;	//db_column:dzyx	note:电子邮箱

	@ApiModelProperty(value = "传真号码")
	private	String czhm;	//db_column:czhm	note:传真号码

	@ApiModelProperty(value = "邮政编码")
	private	String yzbm;	//db_column:yzbm	note:邮政编码

	@ApiModelProperty(value = "企业行政区划代码")
	private	String xzqhdm;	//db_column:xzqhdm	note:企业行政区划代码

	@ApiModelProperty(value = "企业行政区划代码")
	private	String xzqhmc;	//db_column:xzqhdm	note:企业行政区划代码

	@ApiModelProperty(value = "库区数")
	private	String kqs;	//db_column:kqs	note:库区数

	@ApiModelProperty(value = "仓房数")
	private	String cfs;	//db_column:cfs	note:仓房数

	@ApiModelProperty(value = "油罐数")
	private	String ygs;	//db_column:ygs	note:油罐数

	@ApiModelProperty(value = "经度")
	private	String jd;	//db_column:jd	note:经度

	@ApiModelProperty(value = "纬度")
	private	String wd;	//db_column:wd	note:纬度

	@ApiModelProperty(value = "操作标志")
	private	String czbz;	//db_column:czbz	note:操作标志

	List<DXPKQXXVO> dxpkqxxvos = new ArrayList<DXPKQXXVO>();
}