package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_SPJKPZ--表4-18 视频监控配置数据接口")
@Table(name="DXP_SPJKPZ")
public class DXPSPJKPZVO extends QueryVo{

	@ApiModelProperty(value = "设备编码")
	private	String sbbh;	//db_column:sbbh	note:设备编码

	@ApiModelProperty(value = "单位编码")
	private	String dwbh;	//db_column:dwbh	note:单位编码

	@ApiModelProperty(value = "设备名称")
	private	String sbmc;	//db_column:sbmc	note:设备名称

	@ApiModelProperty(value = "设备类型编码")
	private	String sblxnm;	//db_column:sblxnm	note:设备类型编码

	@ApiModelProperty(value = "设备类型名称")
	private	String sblxmc;	//db_column:sblxmc	note:设备类型名称

	@ApiModelProperty(value = "库区编码")
	private	String kqbh;	//db_column:kqbh	note:库区编码

	@ApiModelProperty(value = "库区名称")
	private	String kqmc;	//db_column:kqmc	note:库区名称

	@ApiModelProperty(value = "仓房编码")
	private	String cfbh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓房名称")
	private	String cfmc;	//db_column:cfmc	note:仓房名称

	@ApiModelProperty(value = "监控类别")
	private	String jklb;	//db_column:jklb	note:监控类别

	@ApiModelProperty(value = "设备厂商")
	private	String sbcs;	//db_column:sbcs	note:设备厂商

	@ApiModelProperty(value = "设备型号")
	private	String sbxh;	//db_column:sbxh	note:设备型号

	@ApiModelProperty(value = "设备序列号")
	private	String sbxlh;	//db_column:sbxlh	note:设备序列号

	@ApiModelProperty(value = "视频平台IP")
	private	String ip;	//db_column:ip	note:视频平台IP

	@ApiModelProperty(value = "MAC地址")
	private	String mac;	//db_column:mac	note:MAC地址

	@ApiModelProperty(value = "视频平台端口")
	private	String dk;	//db_column:dk	note:视频平台端口

	@ApiModelProperty(value = "摄像头端口")
	private	String sxtdk;	//db_column:sxtdk	note:摄像头端口

	@ApiModelProperty(value = "子网掩码")
	private	String zwym;	//db_column:zwym	note:子网掩码

	@ApiModelProperty(value = "网关地址")
	private	String wgdz;	//db_column:wgdz	note:网关地址

	@ApiModelProperty(value = "用户名")
	private	String yhm;	//db_column:yhm	note:用户名

	@ApiModelProperty(value = "密码")
	private	String mm;	//db_column:mm	note:密码

}