package com.jusfoun.ydylsz.vo;

import javax.persistence.Table;

import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "熏蒸信息数据接口")
@Table(name="DXP_XZZYJG")
public class DXPXZZYJGVO extends QueryVo{

	@ApiModelProperty(value = "熏蒸作业编码")
	private	String xzzybm;	

	@ApiModelProperty(value = "货位编码")
	private	String hwbh;		

	@ApiModelProperty(value = "品种编码")
	private	String pzbm;		
	
	@ApiModelProperty(value = "代表数量")
	private Float dbsl;
	
	@ApiModelProperty(value = "熏蒸日期")
	private String xzrq;
	
	@ApiModelProperty(value = "天气")
	private String tq;
	
	@ApiModelProperty(value = "气温")
	private Integer qw;
	
	@ApiModelProperty(value = "仓内温度")
	private Float cw;
	
	@ApiModelProperty(value = "仓内湿度")
	private Float cs;
	
	@ApiModelProperty(value = "粮食水分")
	private Float lssf;
	
	@ApiModelProperty(value = "平均粮温")
	private Float pjlw;
	
	@ApiModelProperty(value = "主要虫种")
	private String zycz;
	
	@ApiModelProperty(value = "害虫密度")
	private Integer hcmd;
	
	@ApiModelProperty(value = "粮堆体积")
	private Float ldtj;
	
	@ApiModelProperty(value = "空间体积")
	private Float kjtj;
	
	@ApiModelProperty(value = "安全员")
	private String aqy;
	@ApiModelProperty(value = "仓储科长")
	private String cckz;
	@ApiModelProperty(value = "熏蒸作业负责人")
	private String xzzyfzr;
	@ApiModelProperty(value = "熏蒸作业防护人员")
	private String xzzyfhry;
	@ApiModelProperty(value = "熏蒸作业操作人员")
	private String xzzyczry;
	@ApiModelProperty(value = "是否制定熏蒸作业方案")
	private String sfzdxzzyfa;
	@ApiModelProperty(value = "施药开始时间")
	private String sykssj;	
	@ApiModelProperty(value = "施药结束时间")
	private String syjssj;
	@ApiModelProperty(value = "施药审批人")      
	private String syspr;
	@ApiModelProperty(value = "施药方式")
	private String syfs;	
	@ApiModelProperty(value = "磷化铝纯度")
	private Float lhlcd;
	@ApiModelProperty(value = "磷化铝剂型")
	private Float lhljx;
	@ApiModelProperty(value = "粮堆用药量")
	private Float ldyyl;
	@ApiModelProperty(value = "空间用药量")
	private Float klyyl;
	@ApiModelProperty(value = "总用药量")
	private Float zyyl;
	@ApiModelProperty(value = "施药是否进行仓外门窗密封")
	private String sfcwmcmf;
	@ApiModelProperty(value = "仓房密闭性检查结果")
	private String cfmbxjcjg;
	@ApiModelProperty(value = "高空作业平台安全检测结果")
	private String gkzyptjcjg;
	@ApiModelProperty(value = "磷化氢检测仪检查结果")
	private String lhqjqyjcjg;
	@ApiModelProperty(value = "磷化氢报警仪检查结果")
	private String lhqbjyjcjg;
	@ApiModelProperty(value = "测氧仪检查结果")
	private String cyyjcjg;
	@ApiModelProperty(value = "空气呼吸器检查结果")
	private String kqhxqjcjg;
	@ApiModelProperty(value = "警戒线和警示牌检查结果")
	private String jjxhjspjcjg;
	@ApiModelProperty(value = "急救箱检查结果")
	private String jjxjcjg;
	@ApiModelProperty(value = "灭火器检查结果")
	private String mhqjcjg;
	@ApiModelProperty(value = "施药结束是否清点人数")
	private String syjssfqdrs;
	@ApiModelProperty(value = "施药结束是否进行密闭性检查")
	private String syjssfmbxjc;
	@ApiModelProperty(value = "施药结束是否设立警戒线、悬挂警示牌")
	private String syjssfsljjx;
	@ApiModelProperty(value = "施药结束是否安排专人值班")
	private String syjssfanzrzb;
	@ApiModelProperty(value = "补药开始时间")
	private String bykssj;
	@ApiModelProperty(value = "补药结束时间")
	private String byjssj;
	@ApiModelProperty(value = "补药是否批准")
	private String bysfpz;
	@ApiModelProperty(value = "补药作业审核人")
	private String byzyshr;	
	@ApiModelProperty(value = "补药是否进行仓房密闭性检查")
	private String bysfjxcfmbxjc;
	@ApiModelProperty(value = "补药是否进行灭火器检查")
	private String bysfjxmhqjc;
	@ApiModelProperty(value = "补药是否进行磷化氢检测仪检查")
	private String bysfjxlhqjcyjc;
	@ApiModelProperty(value = "补药是否进行磷化氢报警仪检查")
	private String bysfjxlhqbjyjc;
	@ApiModelProperty(value = "补药是否进行急救箱检查")
	private String bysfjxjjxjc;
	@ApiModelProperty(value = "补药是否进行空气呼吸器检查")
	private String bysfjxkqhxqjc;
	@ApiModelProperty(value = "补药结束是否清点人数")
	private String yjssfqdrs;
	@ApiModelProperty(value = "散气开始时间")
	private String sqkssj;
	@ApiModelProperty(value = "散气结束时间")
	private String sqjssj;
	@ApiModelProperty(value = "散气是否批准")
	private String sqsfpz;
	@ApiModelProperty(value = "散气审核人")
	private String sqshr;
	@ApiModelProperty(value = "散气方式")
	private String sqfs;
	@ApiModelProperty(value = "散气作业是否进行磷化氢浓度监测")
	private String sqsfjxlhqndjc;
	@ApiModelProperty(value = "散气作业是否进行仓外揭膜")
	private String sqsfjxcwjm;
	@ApiModelProperty(value = "散气结束是否清点人数")
	private String sqjssfqdrs;
	@ApiModelProperty(value = "散气结束是否安排专人值班")
	private String sqjssfapzrzb;
	@ApiModelProperty(value = "药剂残渣处理方式")
	private String yjclclfs;
	@ApiModelProperty(value = "熏蒸完成后害虫密度")
	private Integer xzhhcmd;
	@ApiModelProperty(value = "杀虫率")
	private Float scl;
	@ApiModelProperty(value = "密闭天数")
	private Integer mbts;
	@ApiModelProperty(value = "熏蒸后平均粮温")
	private Float xzhpjlw;
	@ApiModelProperty(value = "熏蒸后仓内磷化氢残留浓度")
	private Float xzhcnlhqclnd;
	@ApiModelProperty(value = "备注")
	private String bz;
	@ApiModelProperty(value = "操作标志")
	private String czbz;
	@ApiModelProperty(value = "粮食品种名称")
	private String lspzmc;
	@ApiModelProperty(value = "粮食性质")
	private String lsxz;
	@ApiModelProperty(value = "等级")
	private String djbm;
	@ApiModelProperty(value = "仓房类型")
	private String cflxnm;
	@ApiModelProperty(value = "数量")
	private Float ccsl;
	@ApiModelProperty(value = "等级名称")
	private String djmc;
	@ApiModelProperty(value = "性质名称")
	private String xzmc;
	@ApiModelProperty(value = "仓房编号")
	private String cfbh;
	@ApiModelProperty(value = "货位名称")
	private String hwmc;
}
