package com.jusfoun.ydylsz.vo;


import javax.persistence.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 * 油罐信息
 * @author qianshasha
 *
 */
@Getter
@Setter
@ApiModel("油罐信息")
public class DYgxxsjyVo {

	@ApiModelProperty(value = "油罐编码")
	@Column(name = "ygbh")
	private String ygbh;
	
	@ApiModelProperty(value = "油罐名称")
	@Column(name = "ygmc")
	private String ygmc;
	
	@ApiModelProperty(value = "库区编码")
	@Column(name = "kddm")
	private String kddm;
	
	@ApiModelProperty(value = "油罐类型")
	@Column(name = "yglx")
	private String yglx;
	
	@ApiModelProperty(value = "出入库状态(1空仓,2入库中,3封仓,4出库中)")
	@Column(name = "crk_status")
	private String crkStatus;
}
