package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import java.util.List;

/**
 * @author by PIG
 * 2023/10/20 09
 */
@AllArgsConstructor
@Builder
@Data
@NoArgsConstructor
public class HouseVO {

    @ApiModelProperty(name = "仓号")
    @Column(name = "house_Id")
    private String houseId;
    @ApiModelProperty(name = "仓号")
    @Column(name = "house_Name")
    private String houseName;

    /**
     * 货位集合
     * */
    private List<WareHouseInventoryVO> dataList;
}
