package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
@ApiModel(value = "粮食库存展示接口")
public class KcStatisticsVO {

	@ApiModelProperty(value = "总库存")
	private BigDecimal sumLskc  = new BigDecimal(0);

	@ApiModelProperty(value = "市级储备粮库存")
	private BigDecimal sumSjcblkc = new BigDecimal(0);

    @ApiModelProperty(value = "区级储备粮库存")
    private BigDecimal sumQjcblkc = new BigDecimal(0);

	@ApiModelProperty(value = "库区数")
	private Integer kqnum=0;

	@ApiModelProperty(value = "仓房数")
	private Integer cfNum=0;

	@ApiModelProperty(value = "货位数")
	private Integer hwNum=0;

	@ApiModelProperty(value = "行政区划代码")
	private String xzqhdm;

	@ApiModelProperty(value = "2：省 3：市")
	private Integer type;
}
