package com.jusfoun.ydylsz.vo.yg;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;

/***
 * data_crkyw_dctzd_default 对接出入库的这个表
 */

@Data
@ApiModel(value = "油罐倒仓信息数据 ")
public class YgDcxxVO extends QueryVo {

	/** 主键字段 **/
	@ApiModelProperty(value = "通知单编号")
	private String tzdbh;
	@ApiModelProperty(value = "货位编码")
	private String hwbm;

	@ApiModelProperty(value = "倒入货位编码")
	private String drhwid;
	@ApiModelProperty(value = "倒出货位编码")
	private String dchwid;
	/** 主键字段 **/

	@ApiModelProperty(value = "倒入保管员名称")
	private String drBgyname;
	
	@ApiModelProperty(value = "倒出保管员名称")
	private String dcBgyname;

	/** 列表显示字段 **/
	@ApiModelProperty(value = "倒入仓房")
	private String drcf;

	@ApiModelProperty(value = "倒出仓房")
	private String dccf;
	
	@ApiModelProperty(value = "倒仓开始时间")
	private String ksrq;

	@ApiModelProperty(value = "生产年限")
	private String scnx;

	@ApiModelProperty(value = "粮食数量")
	private String lssl;

	@ApiModelProperty(value = "粮食品种")
	private String lspz;

	@ApiModelProperty(value = "粮食性质")
	private String lsxz;

	@ApiModelProperty(value = "粮食等级")
	private String lsdj;

	@ApiModelProperty(value = "车牌号")
	private String cph;
	
	@ApiModelProperty(value = "备注")
	private String bz;
	/** 列表显示字段 **/
	

	@ApiModelProperty(value = "皮重（公斤）")
	private String pz;
	@ApiModelProperty(value = "皮重检斤时间")
	private String cpzsj;
	@ApiModelProperty(value = "皮重检斤员")
	private String pjy;
	@ApiModelProperty(value = "毛重（公斤）")
	private String mz;
	@ApiModelProperty(value = "毛重检斤时间")
	private String cmzsj;
	@ApiModelProperty(value = "毛重检斤员")
	private String mjy;
	@ApiModelProperty(value = "监磅员")
	private String jpy;
	

}