--delete from behavioral_data:xwk_LSCKXX
insert into up:xwk_LSCKXX(
ckywdh ,--1出库业务单号业务单号
hwdm ,--2货位代码关联1104接口货位代码
cktzdh ,--3出库通知单号
ywlx ,-- 4业务类型1：出库默认
ywrq ,--5业务日期格式：yyyy-MM-dd
hth ,--6合同号关联1403接口中合同号
cyr ,--7承运人
lxdh ,--8联系电话国内标准手机号码或固定电话号码，座机号格式:区号-号码
sfzh ,--9身份证号
ysgj ,--10运输工具1：汽车 2：火车 3：轮船 9：其他
cch ,--11车船号
xxdz,--12
djsj ,--13登记时间格式：yyyy-MM-dd HH:mm:ss
djmgryxm ,--14登记门岗人员姓名
lspzdm ,--15粮食品种代码参考LS/T 1703-2017粮食信息分类与编码 粮食及加工产品分类与代码，不足7位需在末位补0
lsdjdm ,--16粮食等级代码参考LS/T 1713-2015 库存粮食识别代码 表3
lsxzdm ,--17粮食性质代码参考LS/T 1713-2015 库存粮食识别代码 表2
shnd ,--18收获年度
cddm ,--19产地代码参考《库存粮食识别代码》LS/T 1713-2015的5.4.3中相关规定
pz ,--20皮重单位：公斤
pzjby ,--21皮重监磅员
pzjlsj ,--22皮重计量时间格式：yyyy-MM-dd HH:mm:ss
pzjly ,--23皮重计量员
mz ,--24毛重单位：公斤
mzjby ,--25毛重监磅员
mzjlsj ,--26毛重计量时间格式：yyyy-MM-dd HH:mm:ss
mzjly ,--27毛重计量员
bzw ,--28包装物1：麻袋 2：编织袋 3：散装 9：其他
bzbdbz ,--29标准包单包重单位：公斤
bzbjs ,--30标准包件数单位：件
jz ,--31净重单位：公斤
kzl ,--32扣增量单位：公斤
cmsj ,--33出门时间格式：yyyy-MM-dd HH:mm:ss
cmqrmgryxm ,--34出门确认门岗人员姓名
ckjsdh, --35出库结算单号由库点代码+业务单号组成参考《粮食数据采集技术规范》LS/T 1805-2016的表9
BIZNO--36
)
SELECT     sys_guid()  AS  YWDH,  --1  业务单号
               w.hwbm as HWBM,  --2    货位编码
               c.tzdbh as cktzdh,-- 3出库通知单号
                 '1'  AS  YWLX,  --4  业务类型
                  A.rmsj YWRQ,  --5  业务日期
                  A.HTBH   AS  htbm,  --6  合同编码
                  A.CYR  AS  CYR,  --7  承运人
                  A.SLRDH  AS  LXDH,  --8   联系电话
                  A.SLRSFZH  AS  SFZH,  --9   身份证号
                  A.CLLX as  YSGJ,  --10    运输工具
                  A.CPH  AS  CCH,  --11    车船号
                   A.SLRDZ AS  XXDZ,  --12    详细地址
                   A.DJSJ  AS  DJSJ,  --13    登记时间
                  A.DJR  AS  DJMGRYXM,  --14  登记门岗人员姓名 
                  A.LSPZ  AS  PZBM,  --15    品种编码
                  C.DJ as  DJBM,  --16    等级编码
                  ''  LQXZBM,  --17   粮权性质编码              问                 
                  N.ENUMITEMNAME  AS  SHND,  --18   收获年度     
                  c.cd AS  CDDM,  --19    产地                    
                  D.PZ AS PZ, --20 皮重
        D.PJY AS PZJBY, --21  皮重监磅员 AS PZJBY, --31  皮重监磅员
         D.JPSJ AS PZJLSJ, --22 皮重计量时间
         NVL(D.PJY, '无') AS PZJLY, --23  皮重计量员
          E.MZ,  --24  毛重
         NVL(E.MJY, '无') AS MZJBY, --25  毛重监磅员
         E.JMSJ AS MZJLSJ, --26 毛重计量时间
         NVL(E.MJY, '无') AS MZJLY, --27  毛重计量员                 
         '' as bzw,--28         
         ''as bzbdbz,--29 
         '' as bzbjs,--30
        E.KLHJZ AS JZ, --31净重
        '' as kzl,--32
         H.CMSJ AS CMSJ, --33  出门时间
         H.CMDJR  AS CMQRMGRYXM, --34 出门确认门岗人员姓名
         '' AS jsdbm, --35  结算单编码
         A.BIZNO --单据号
FROM lsreport_ts_center:DATA_CRKYW_CKRMDJ_DEFAULT A -- 汽车出库入门登记
 LEFT JOIN lsreport_ts_center:DATA_CRKYW_CKZLJC_DEFAULT C -- 汽车出库化验
      ON A.UNITID = C.UNITID
     and A.TZDID = C.TZDID
    LEFT JOIN   lsreport_ts_center:DATA_CRKYW_CKCPZ_DEFAULT D -- 汽车出库称皮重
      ON A.UNITID = D.UNITID
     and A.BIZNO = D.BIZNO
    LEFT JOIN lsreport_ts_center:DATA_CRKYW_CKCMZ_DEFAULT E -- 汽车出库称毛重
      ON A.UNITID = E.UNITID
     and A.BIZNO = E.BIZNO
    LEFT JOIN lsreport_ts_center:DATA_CRKYW_CKCM_DEFAULT H -- 汽车出库登记
      ON A.UNITID = H.UNITID
     and A.BIZNO = H.BIZNO
    LEFT JOIN lsreport_ts_center:DATA_CRKYW_TZDXX_DEFAULT T --通知单
      ON A.TZDID = T.TZDID
    LEFT JOIN lsreport_ts_center:ENUMITEM N
      ON T.SCNF = N.ENUMITEMID
     AND N.ENUMID = '1004'
    LEFT JOIN lsreport_ts_center:BUSINESS_CUSTOMER R
      ON T.KHID = R.ID
    inner JOIN depot_center:ORG_INFO B
      ON A.UNITID = B.ORG_ID
     AND B.ORG_CLASS_ID = 5318
    LEFT JOIN depot_center:BASIC_WAREHOUSE W --货位基本信息
      ON A.HWID = W.WAREHOUSE_ID
     AND A.CHID = W.STOREHOUSE_ID
     AND A.UNITID = W.ORG_ID;
     
