drop table xwk_lqk;
create table xwk_lqk as 
 select sys_guid() as lqkid,
        t.id as yyywid,
        t.org_id,
        t.storehouse_num,
        t.warehouse_num,
        t.storehouse_name,
        t.warehouse_name,
        t.grain_variety_num,
        t.grain_variety_name,
        t.accept_date,
        t.check_type_num,
        t.check_type_name,
        t.grain_remark,
        t.water_remark,
        t1.id as lwjlid,
        t1.lq_id,
        t1.data_time,
        t1.out_temp,
        t1.out_h,
        t1.in_temp,
        t1.in_h,
        t1.max_temp,
        t1.max_dot,
        t1.min_temp,
        t1.min_dot,
        t1.avg_temp,
        t1.motor_temp_one,
        t1.motor_dot_one,
        t1.motor_temp_two,
        t1.motor_dot_two,
        t1.motor_temp_three,
        t1.motor_dot_three,
        t1.motor_temp_four,
        t1.motor_dot_four,
        t1.motor_temp_five,
        t1.motor_dot_five,
        t1.motor_temp_six,
        t1.motor_dot_six,
        t1.t_points,
        t1.s_remark,
       -- t1.card_num,
       -- t1.org_id,
       -- t1.storehouse,
       -- t1.storehouse_name,
       -- t1.house,
       -- t1.house_name,
        t1.flag_type,
        t2.hwbm
   from depot_center:storage_grain_card t --'粮情卡列表(主表)'
   left join depot_center:storage_temp_card t1
     on t1.card_num = t.id --'粮情卡粮温测量记录表
 left join depot_center:BASIC_WAREHOUSE t2 
 on t.storehouse_num=t2.STOREHOUSE_ID 
 and t.warehouse_num=t2.WAREHOUSE_ID 
 and t.org_id=t2.ORG_ID
     
 ----------------------------------------------------------------------------------------------------
 drop table xwk_sfjcjl;
 create table xwk_sfjcjl as 
 select sys_guid() as sfjcjlid,
        t.id as yyywid,
        t.org_id,
        t.house_id,
        t.ware_id,
        t.lspz,
        t.hy_date,
        t.hy_person,
        t.remark,
        t.input_time,
        t.edit_time,
        t1.id as jcgddid,
       -- t1.z_id,
        t1.qy as jcgddqy,
        t1.zy_s,
        t1.zy_z,
        t1.zy_x,
        t1.dn_s,
        t1.dn_z,
        t1.dn_x,
        t1.db_s,
        t1.db_z,
        t1.db_x,
        t1.xn_s,
        t1.xn_z,
        t1.xn_x,
        t1.xb_s,
        t1.xb_z,
        t1.xb_x,
        t1.avg_val,
        t1.safe,
       -- t1.input_time,
       -- t1.edit_time,
        t2.id as jcjddid,
       -- t2.z_id,
        --t2.org_id,
        t2.qy as jcjddqy,
        t2.bw_a_key,
        t2.bw_a_val,
        t2.bw_b_key,
        t2.bw_b_val,
        t2.bw_c_key,
        t2.bw_c_val,
        t2.bw_d_key,
        t2.bw_d_val,
        t2.bw_e_key,
        t2.bw_e_val,
        t2.bw_f_key,
        t2.bw_f_val,
        t3.hwbm
       -- t2.input_time,
       -- t2.edit_time
   from depot_center:Storage_Water_Check t  --水分检验主表
   join depot_center:Storage_Warter_Fixed_Point t1 --水分检验固定点表
     on t.id = t1.z_id
   join depot_center:storage_warter_Mobile_Point t2
     on t.id = t2.z_id --水分检验机动点表
  left join depot_center:BASIC_WAREHOUSE t3 
 on t.house_id=t3.STOREHOUSE_ID 
 and t.ware_id=t3.WAREHOUSE_ID 
 and t.org_id=t3.ORG_ID
 

-----------------------------------------------------------------------
--原来得虫测 t_ccdata 在天津不用
drop table xwk_chjc
create table xwk_chjc as 
select sys_guid() as chjcid,
       id as yyywid,
       house_id,
      t.warehouse_id,
      t.org_id,
       sub_type,--品种
       check_time,
       checker,
       pests_position,--虫害部位
       pests_density,--虫害密度
       pests_species,--害虫虫种
       rain_check,--雨后检查
       ratfinch_check,--鼠雀检查
       other_check,
       find_question, --发现问题
       t3.hwbm
  from depot_center:storage_dailycheck t
    left join depot_center:BASIC_WAREHOUSE t3 
 on t.house_id=t3.STOREHOUSE_ID 
 and t.warehouse_id =t3.WAREHOUSE_ID 
 and t.org_id=t3.ORG_ID
  -------------------------------------
  --通风作业
  drop table xwk_tfzyb
 create table xwk_tfzyb as 
select sys_guid() as tfzyid,
       id as yyywid,
       cfbh,
       cfmc,
       cflx,
       cncd,
       cnkd,
       zjnj,
       sjclxgd,
       pz,
       sl,
       kxd,
       cd,
       kd,
       zj,
       ldgd,
       dlxs,
       tflx,
       fwlx,
       fwszfs,
       zfdjmj,
       fwkkl,
       kqtjb,
       tfkszgs,
       tfkssj,
       tfjssj,
       tfmd,
       tfzyfzr,
       djrq,
       tfjxh,
       tfjts,
       dtfjedqy,
       dtfjedfl,
       dtfjedgl,
       sffs,
       dtfjscfl,
       dtfjzgl,
       zfl,
       dwtfl,
       scxtzl,
       zhdl,
       one_qw,
       one_tfqpjlw,
       one_zysc,
       one_pjqs,
       two_qw,
       two_tfqpjlw,
       two_zysc,
       two_pjqs,
       three_qw,
       three_tfqpjlw,
       three_zysc,
       three_pjqs,
       four_qw,
       four_tfqpjlw,
       four_pjqs,
       four_zysc,
       tfqpjlw,
       tfhpjlw,
       jwfd,
       dljwnh,
       sslssl,
       tfqpjsf,
       tfhpjsf,
       jsfd,
       dljsnh,
       bsxgpjjg,
       jyxzx,
       jyxsc,
       jyxzc,
       jyxxc,
       tfqcnw,
       tfqcns,
       tfqcww,
       tfqcws,
       tfqzglw,
       tfqzdlw,
       tfhcnw,
       tfhcns,
       tfhcww,
       tfhcws,
       tfhzglw,
       tfhzdlw,
       tfqyq,
       tfqeyht,
       tfqlhq,
       tfhyq,
       tfheyht,
       tfhlhq,
       bz,
       t.org_id,
       t3.hwbm
  from depot_center:t_ventilation_operation t
    left join depot_center:BASIC_WAREHOUSE t3 
 on t.cfbh=t3.STOREHOUSE_ID 
-- and t.warehouse_id =t3.WAREHOUSE_ID 
 and t.org_id=t3.ORG_ID
