

--市平台
insert into behavioral_data:xwk_zljcmx (zljcmxid,ZLJCid,jcx,jcjg)
select sys_guid() as zljcmxid,t1.ZLJCid,jyxm,t.jyjg from quality:TY_ZJXXMXB t 
join behavioral_data:xwk_zljc t1 on t.zjxxid=t1.yyywid and t1.sjly='市平台' 
 

--库平台
insert into behavioral_data:xwk_zljcmx (zljcmxid,ZLJCid,jcx,jcjg)
select a.zljcmxid,a.ZLJCid,a.jcx,a.jcjg from 
(select sys_guid() as zljcmxid, ZLJCid,'水分'as jcx,water as jcjg   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'杂质'as jcx,impurity   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'矿物质'as jcx,mineral   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善颗粒(未熟粒、破碎粒)'as jcx,badpart   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'色泽气味'as jcx,colorsmell   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'完整粒度'as jcx,goodpart   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'粗脂肪酸数值'as jcx,boldfat_index   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'热损伤'as jcx,hot_damage   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'蛋白质溶解比率'as jcx,protein_solution_ratio   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'品尝评分值'as jcx,eat_score   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'脂肪酸值'as jcx,fat_index   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'出糙率'as jcx,husked_ration   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'整精米率'as jcx,full_good_ration   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'黄粒米'as jcx,yellow_part   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'谷外糙米'as jcx,out_husked_ration   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'虫害'as jcx,pests   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'色率'as jcx,color_ratio   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'硬度指数'as jcx,hard_index   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'面筋吸水量'as jcx,gluten_water_count   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'生霉粒'as jcx,mildew_count   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'损伤粒率'as jcx,damage_ratio   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'热损伤粒率'as jcx,hot_damage_ratio   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'糙米重'as jcx,husked_rice_weight   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'是否虫粮0是1否'as jcx,is_pest   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'互混率(%)'as jcx,intermixing_rate   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'气味、滋味'as jcx,smelltaste   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'透明度'as jcx,transparency   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'过氧化值(mmol/kg)'as jcx,peroxide_value   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'烟点℃'as jcx,smoke_point   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'冷冻实验(0℃储藏5.5h)'as jcx,reeze_test   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'溶剂残留量(mg/kg)'as jcx,residual_solvent   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'铅(Pb)'as jcx,lead   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'总砷(以As计)(mg/kg)'as jcx,total_arsenic   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'黄曲霉毒素(ug/kg)'as jcx,aflatoxin   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'特丁基对二苯酚(g/kg)'as jcx,butyl_phenol   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'容重'as jcx,unit_weight   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'杂质总量'as jcx,impurity_total   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'杂质无机杂质'as jcx,impurity_inorganic   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'杂质有机杂质'as jcx,impurity_organic   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'糠粉'as jcx,impurity_bran_powder   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒总量'as jcx,imperfectGrains_total   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒虫蚀粒'as jcx,imperfectGrains_injuredKernel   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒病斑粒'as jcx,imperfectGrains_scab   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒病斑粒总量'as jcx,imperfectGrains_scab_total   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒病斑粒黑胚粒'as jcx,imperfectGrains_scab_blackEmbryo   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒病斑粒赤霉病粒'as jcx,imperfectGrains_scab_gibberella   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒破损粒%'as jcx,imperfectGrains_damage   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒生芽粒'as jcx,imperfectGrains_sproutedKernel   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒冻伤'as jcx,imperfectGrains_frostbite   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒未熟粒'as jcx,imperfectGrains_immatureGrain   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒含量'as jcx,imperfectGrains_content   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不完善粒糙米粒'as jcx,imperfectGrains_brownRice   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'自然热损伤粒'as jcx,naturally   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'烘干热损伤粒'as jcx,stoving   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'粗脂肪含量（干基）%'as jcx,crude_fat_content   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'蛋白溶解'as jcx,proteolysis   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'霉变粒'as jcx,mildew   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'未熟粒率'as jcx,immature_grain_rate   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'破碎率'as jcx,crushing_rate   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'黄粒米%'as jcx,yellow_rice   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'相对密度'as jcx,relative_density   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'水分及挥发物含量%'as jcx,water_volatiles   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'不溶性杂质含量%'as jcx,insoluble_impurity   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'酸价（KOH）/(mg/g)'as jcx,acid_value   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'含皂量%'as jcx,soap_content   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'月桂酸'as jcx,lauric_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'豆蔻酸'as jcx,myristic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'棕榈酸'as jcx,palmitic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'棕榈油酸'as jcx,zoomaric_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'十七烷酸'as jcx,margaric_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'十七烷一烯'as jcx,heptadecane   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'硬脂酸'as jcx,stearic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'油酸'as jcx,oleic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'亚油酸'as jcx,linoleic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'亚麻酸'as jcx,linolenic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'花生酸'as jcx,arachidic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'花生一烯酸'as jcx,arachidonic_one   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'花生二烯酸'as jcx,Arachidonic_two   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'山嵛酸'as jcx,behenic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'芥酸'as jcx,erucic_acid   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'木焦油算'as jcx,wood_tar   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'平均长度'as jcx,avg_length   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'完整米粒'as jcx,rice_grains   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'碎米总量'as jcx,brokenRice_total   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'碎米大'as jcx,brokenRice_big   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'碎米小'as jcx,brokenRice_small   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'加工精度'as jcx,machiningAccuracy   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'垩白度'as jcx,chalkiness   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'加工精度精碾'as jcx,machiningAccuracy_essence   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'加工精度适碾'as jcx,machiningAccuracy_suitable   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'直链淀粉含量'as jcx,amylose   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'灰分%（以干物计）'as jcx,ash_content   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'粗细度%'as jcx,coarseness   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'面筋质%（以湿重计）'as jcx,gluten   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'含沙量'as jcx,silt_content   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id union all 
 select sys_guid() as zljcmxid, ZLJCid,'磁性金属物g/kg'as jcx,magnetic_metal   from depot_center:storage_qualitycheck t 
  join  behavioral_data:xwk_zljc t1 on t.id=t1.yyywid and t1.sjly='库平台'
  left join depot_center:storage_qualitycheck_inspection t2
  on t.id=t2.qualitycheck_id )a 