package com.jusfoun.ydylsz;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.web.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;


/**
 * @author jjf
 * 工程启动类
 */
@EnableTransactionManagement // 启注解事务管理
// @EnableAutoConfiguration(exclude={DataSourceAutoConfiguration.class})
@SpringBootApplication
@EnableScheduling
public class Starter extends SpringBootServletInitializer{
	
	/*
	 * @Autowired DataSource dataSource;
	 */
	
	public static void main(String[] args) {
		SpringApplication.run(Starter.class, args);
		System.out.println("==============================启动成功==========================");
	}
	
}

