package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPRKJYXXService;
import com.jusfoun.ydylsz.vo.DXPRKJYXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_RKJYXX--表4-10 入库检查信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPRKJYXX")
@Api(description="DXP_RKJYXX--表4-10 入库检查信息数据接口")
public class DXPRKJYXXController{

	@Autowired
	private DXPRKJYXXService dxprkjyxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPRKJYXXVO>> selectList(@RequestBody DXPRKJYXXVO vo){
		RootResult<PageInfo<DXPRKJYXXVO>> r = new RootResult<PageInfo<DXPRKJYXXVO>>();
		try {
			r.setData(dxprkjyxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPRKJYXXVO> selectDetail(@RequestBody DXPRKJYXXVO vo){
		RootResult<DXPRKJYXXVO> r = new RootResult<DXPRKJYXXVO>();
		try {
			r.setData(dxprkjyxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}