package com.jusfoun.ydylsz.mapper;


import com.jusfoun.ydylsz.vo.KqImageVO;
import com.jusfoun.ydylsz.vo.PointVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DXPPointMapper {
    void savePoint(PointVO point);

    void updatePoint(PointVO point);

    void deletePoint(@Param("kqbh")String kqbh);

    List<PointVO> pointDetail(@Param("kqbh")String kqbh);

    List<PointVO> selectPointDetailByEntity(PointVO pointVO);

    void saveImage(KqImageVO kqImageVO);

    void updateImage(KqImageVO kqImageVO);

    KqImageVO imageDetail(@Param("kqbh")String kqbh);

    PointVO findPoint(@Param("index")String index);
}
