package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.KcStatisticsVO;
import com.jusfoun.ydylsz.vo.PzXzKcVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface KcStatisticsMapper {

    KcStatisticsVO selectKcStatisticsInfo();

    List<PzXzKcVO> getPzXzKc(@Param("xzqhdm") String xzqhdm, @Param("type") Integer type);

    List<PzXzKcVO> getScnfBarChart(PzXzKcVO vo);

    List<PzXzKcVO> getDjKc(PzXzKcVO vo);

    List<Map<String,Object>> selectAllData();

    List<Map<String,Object>> selectXzCount(@Param("kdmc") String kdmc);

    List<Map<String,Object>> selectPzCount(@Param("kdmc") String kdmc);
}
