package com.jusfoun.ydylsz.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.pojo.KshHlhtKuquInfo;
import com.jusfoun.ydylsz.pojo.KshHlhtSbxx;
import com.jusfoun.ydylsz.pojo.KshHlhtXzqh;
import com.jusfoun.ydylsz.pojo.KshHlhtZzsbgl;
import com.jusfoun.ydylsz.vo.in.KshHlhtSbxxInputVo;

@Mapper
public interface KshHlhtSbxxMapper {

	Long queryTotalCount(KshHlhtSbxxInputVo vo);

	List<KshHlhtSbxx> queryList(KshHlhtSbxxInputVo vo);

	void insertKshHlhtSbxx(KshHlhtSbxx bean);

	void updateKshHlhtSbxx(KshHlhtSbxx bean);

	KshHlhtSbxx viewKshHlhtSbxx(@Param("id") Integer id);

	List<KshHlhtSbxx> sbxxExportExcel(KshHlhtSbxxInputVo vo);

	KshHlhtSbxx queryBySbId(@Param("gbIndexCode") String gbIndexCode);

	void saveKuquInfo(KshHlhtKuquInfo info);

	List<KshHlhtSbxx> querySbxxList(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize, @Param("list") List list);

	List<KshHlhtSbxx> queryListBySbxx(KshHlhtSbxxInputVo vo);

	void updateKshHlhtSbxxBySbId(KshHlhtSbxx info);

	KshHlhtXzqh queryByCodeId(@Param("name") String name, @Param("type") Integer type);

	String queryByClassId(@Param("zzjgId") Integer zzjgId);

	List<KshHlhtZzsbgl> queryByZzId(@Param("classStrId") String classStrId);

	Integer queryByZzjgMc(@Param("zzjgmc") String zzjgmc);

	Integer queryByZzSbgl(@Param("id") Integer id, @Param("zzjgId") Integer zzjgId);

	List<KshHlhtXzqh> queryKqbm(@Param("kqbm") String kqbm);

	List<KshHlhtXzqh> queryByKqmc();

	Integer queryCount(@Param("list1") List list1);


}
