package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.pojo.CornVO;
import com.jusfoun.ydylsz.pojo.RiceVO;
import com.jusfoun.ydylsz.pojo.SoybeanVO;
import com.jusfoun.ydylsz.pojo.WheatVO;
import com.jusfoun.ydylsz.vo.*;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface XwkLsrkxxjkMapper {
    int countByExample(XwkLsrkxxjkExample example);

    int deleteByExample(XwkLsrkxxjkExample example);

    int insert(XwkLsrkxxjk record);
    // 无引用
    int insertSelective(XwkLsrkxxjk record);

    List<XwkLsrkxxjk> selectByExample(XwkLsrkxxjkExample example);

    int updateByExampleSelective(@Param("record") XwkLsrkxxjk record, @Param("example") XwkLsrkxxjkExample example);

    int updateByExample(@Param("record") XwkLsrkxxjk record, @Param("example") XwkLsrkxxjkExample example);

	List<XwkLsrkxxjk> select(XwkLsrkxxjk chjc);

	List<WheatVO> lsrkPage(WheatVO chjc);

	XwkLsrkxxjk info(XwkLsrkxxjk chjc);

	Zjxx getXiaoMaiInfo(@Param("lsrkid")String bizno);

	Zjxx getYumiInfo(@Param("lsrkid")String bizno);

	Zjxx getDaoguInfo(@Param("lsrkid")String bizno);

	Zjxx getdadouInfo(@Param("lsrkid")String bizno);

	Zjxx getXiaoMaiFenInfo(@Param("lsrkid")String bizno);

	Zjxx getdamiInfo(@Param("lsrkid")String bizno);

	Zjxx getdadouyouInfo(@Param("lsrkid")String bizno);

	List<XwkLsrkxxjk> selectLsrkxx();

	void delete(@Param("lsrkid")String lsrkid);

	List<XwkLsrkjyxx> selectRkjy();

	void deleteByid(@Param("bizno")String bizno, @Param("zbxmc")String zbxmc);

	void insertJyxx(XwkLsrkjyxx lsrkjyxx);

    List<XwkLsrkxxjk> pageCode(CchinVo cchinVo);

	String rkTotal(WheatVO wheatVO);

	/**
	 * 汇总查询-稻谷入库查询
	 * @param riceVO
	 * @return
	 */
	List<RiceVO> dgrkPage(RiceVO riceVO);

	/**
	 * 汇总查询-稻谷入库统计
	 * @param wheatVO
	 * @return
	 */
	String dgrkTotal(WheatVO wheatVO);

	/**
	 * 获取毛重、皮重图片视频信息
	 * @param lsrkid
	 * @return
	 */
	List<XwkkuPicVo> getXwkkcPic(@Param("lsrkid")String lsrkid);

	/**
	 * 汇总查询-玉米入库查询
	 * @param chjc
	 * @return
	 */
	List<CornVO> ymrkPage(WheatVO chjc);

	/**
	 * 汇总查询-玉米入库统计
	 */
	String ymrkTotal(WheatVO wheatVO);

	/**
	 * 汇总查询-大豆入库查询
	 * @param chjc
	 * @return
	 */
	List<SoybeanVO> ddrkPage(WheatVO chjc);

	/**
	 * 汇总查询-大豆入库统计
	 */
	String ddrkTotal(WheatVO wheatVO);

    int deleteDiscard();

}
