package com.jusfoun.ydylsz.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 抓图
 *
 * @author by PIG
 * 2022/9/23 15
 */
@Data
@AllArgsConstructor
@Builder
@NoArgsConstructor
@Table(name = "hlht_capture_pic")
public class HlhtCapturePicVo {

    @Id
    @Column(name = "fid")
    private String fid;
    @Column(name = "hwbh")
    private String hwbh;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "zpsj")
    private String zpsj;
    @Column(name = "url_path")
    private String url_path;
    @Column(name = "file_stream")
    private byte[] file_stream;
    @Column(name = "kqbm")
    private String kqbm;
    @Column(name = "jkdbm")
    private String jkdbm;

    @Column(name = "sb_id")
    private String sb_id;

    @Column(name = "file_str")
    private String file_str;

    @Column(name = "kqdm")
    private String kqdm;

    @Column(name = "file_name")
    private String fileName;

    @Column(name = "file_url")
    private String fileUrl;

    @Column(name = "cfdm")
    private String cfdm;

    @Column(name = "hwdm")
    private String hwdm;

    private String startDate;

    private String endDate;
}
