package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.vo.DXPHTXXVO;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPHTXXMapper;


//DXP_HTXX--表4-12 合同信息数据接口业务层  
@Service
public class DXPHTXXService{

	@Autowired
	private DXPHTXXMapper dxphtxxMapper;

	//列表
	public	PageInfo<DXPHTXXVO>  selectList(DXPHTXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPHTXXVO> pageInfo = new PageInfo<>(dxphtxxMapper.selectList(vo));
		return pageInfo;
	}

	//详情
	public	DXPHTXXVO selectDetail(DXPHTXXVO vo) throws Exception{
		return dxphtxxMapper.selectDetail(vo);
	}


}