package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.mapper.DXPKQXXMapper;
import com.jusfoun.ydylsz.vo.AreaOut;
import com.jusfoun.ydylsz.vo.DXPKQXXVO;
import com.jusfoun.ydylsz.vo.DXPQYXXVO;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPQYXXMapper;

import java.util.List;


//DXP_QYXX--表4-2 企业信息数据接口业务层  
@Service
public class DXPQYXXService{

	@Autowired
	private DXPQYXXMapper dxpqyxxMapper;
	@Autowired
	private DXPKQXXMapper dxpkqxxMapper;

	//列表
	public	PageInfo<DXPQYXXVO>  selectList(DXPQYXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPQYXXVO> pageInfo = new PageInfo<>(dxpqyxxMapper.selectList(vo));
		Integer num = 0;
		Integer num1 = 0;
		for(DXPQYXXVO dxpqyxxvo:pageInfo.getList()){
			num +=1;
			dxpqyxxvo.setId(num);
			DXPKQXXVO dxpkqxxvo = new DXPKQXXVO();
			dxpkqxxvo.setSsdwdm(dxpqyxxvo.getQydm());
			List<DXPKQXXVO> list = dxpkqxxMapper.selectList(dxpkqxxvo);
			for (DXPKQXXVO dxpkqxxvo2 : list) {
				num1 += 1;
				dxpkqxxvo2.setId(num1);
			}
			dxpqyxxvo.setDxpkqxxvos(list);
		}
		return pageInfo;
	}

	//详情
	public	DXPQYXXVO selectDetail(DXPQYXXVO vo) throws Exception{
		return dxpqyxxMapper.selectDetail(vo);
	}


    public List<DXPQYXXVO> selectListGis(String xzqhdm) {
		return null;
    }

    public PageInfo<DXPQYXXVO> selectListArea(AreaOut vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPQYXXVO> pageInfo = new PageInfo<DXPQYXXVO>(dxpqyxxMapper.selectListArea(vo));
		return pageInfo;
    }
}