package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.vo.DXPRYXXVO;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPRYXXMapper;


//DXP_RYXX--表4-8 人员信息数据接口业务层  
@Service
public class DXPRYXXService{

	@Autowired
	private DXPRYXXMapper dxpryxxMapper;

	//列表
	public	PageInfo<DXPRYXXVO>  selectList(DXPRYXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPRYXXVO> pageInfo = new PageInfo<>(dxpryxxMapper.selectList(vo));
		return pageInfo;
	}

	//详情
	public	DXPRYXXVO selectDetail(DXPRYXXVO vo) throws Exception{
		return dxpryxxMapper.selectDetail(vo);
	}


}