package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.vo.DXPSPJKPZVO;
import com.jusfoun.ydylsz.vo.TreeNode;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPSPJKPZMapper;

import java.util.ArrayList;
import java.util.List;


//DXP_SPJKPZ--表4-18 视频监控配置数据接口业务层  
@Service
public class DXPSPJKPZService{

	@Autowired
	private DXPSPJKPZMapper dxpspjkpzMapper;

	//列表
	public	PageInfo<DXPSPJKPZVO>  selectList(DXPSPJKPZVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPSPJKPZVO> pageInfo = new PageInfo<>(dxpspjkpzMapper.selectList(vo));
		return pageInfo;
	}

	//详情
	public	DXPSPJKPZVO selectDetail(DXPSPJKPZVO vo) throws Exception{
		return dxpspjkpzMapper.selectDetail(vo);
	}


}