package com.jusfoun.ydylsz.service;

import java.util.List;

import com.jusfoun.ydylsz.pojo.NodeTemp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jusfoun.ydylsz.mapper.KshHlhtZzjgMapper;
import com.jusfoun.ydylsz.pojo.TreeNode;
import com.jusfoun.ydylsz.vo.in.KshHlhtScfzInVo;

@Service("KshHlhtZzjgService")
public class KshHlhtZzjgService {
	
	@Autowired
	private KshHlhtZzjgMapper kshHlhtZzjgMapper;

	public List<TreeNode> queryParentId(Integer yhid) {
		return kshHlhtZzjgMapper.queryParentId(yhid);
	}

	public List<TreeNode> queryChildListById(String zid) {
		return kshHlhtZzjgMapper.queryChildListById(zid);
	}

	public void insertKshHlhtScfz(KshHlhtScfzInVo vo) {
		kshHlhtZzjgMapper.insertKshHlhtScfz(vo);
	}

	public TreeNode queryById(String regionIndexCode) {     
		return kshHlhtZzjgMapper.queryById(regionIndexCode);
	}

	public void insertClassZzjg(KshHlhtScfzInVo vo) {     
		kshHlhtZzjgMapper.insertClassZzjg(vo);
	}

	public List<TreeNode> queryClassStrId(String zzjgId) {    
		return kshHlhtZzjgMapper.queryClassStrId(zzjgId);
	}

	public List<TreeNode> queryClassParentId(String zid) {
		return kshHlhtZzjgMapper.queryClassParentId(zid);
	}

    public void updateKshHlhtScfz(TreeNode treeNode1) {      
        kshHlhtZzjgMapper.updateKshHlhtScfz(treeNode1);
    }
    public void saveTemp(NodeTemp nodeTemp) {     
		kshHlhtZzjgMapper.saveTemp(nodeTemp);
    }

	public void deleteTemp() {    

		kshHlhtZzjgMapper.deleteTemp();
	}

	public List<NodeTemp> selectTemp(String zzjgId) {     
		return kshHlhtZzjgMapper.selectTemp(zzjgId);
	}

	public List<NodeTemp> selectTempAN() {
		return kshHlhtZzjgMapper.selectTempAN();
	}

	public List<NodeTemp> selectTempYN() {
		return kshHlhtZzjgMapper.selectTempYN();
	}

	public List<NodeTemp> queryListTemp(String indexCode) {     
		return kshHlhtZzjgMapper.queryListTemp(indexCode);
	}

	public List<NodeTemp> queryKqmcByTrue(String regionIndexCode) {
		return kshHlhtZzjgMapper.queryKqmcByTrue(regionIndexCode);
	}

	public List<TreeNode> queryByZzjgmc(String stdname) {
		return kshHlhtZzjgMapper.queryByZzjgmc(stdname);
	}

	public List<NodeTemp> selectTempJs() {
		return kshHlhtZzjgMapper.selectTempJs();
	}

	public List<NodeTemp> selectTempGZ() {
		return kshHlhtZzjgMapper.selectTempGZ();
	}

	public List<NodeTemp> selectTempHead(String zid) {    
		return kshHlhtZzjgMapper.selectTempHead(zid);
	}
}
