package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.LsdcMapper;
import com.jusfoun.ydylsz.vo.DcinfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LsdcService {

    @Autowired
    private LsdcMapper lsdcMapper;

    public PageInfo<DcinfoVO> getDcInfo(DcinfoVO dcinfoVO, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        PageInfo<DcinfoVO> page = new PageInfo<DcinfoVO>(lsdcMapper.getDcInfo(dcinfoVO));
        return page;
    }
}
