package com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.mapper.UserInfoMapper;
import com.jusfoun.ydylsz.vo.UserInfoVO;
import com.unis.common.utils.CurrentUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author by PIG
 * 2023/6/9 10
 */
@Service
public class UserInfoService {

    @Autowired
    UserInfoMapper userInfoMapper;

    public String getCurrentAccountOrgAreaCode() {
        String userId = CurrentUtil.getUserId();
        UserInfoVO userInfoVO = userInfoMapper.getByCode(userId);
        return userInfoVO.getOrgAreaCode();
    }

}
