package com.jusfoun.ydylsz.service;

import java.util.List;

import com.jusfoun.ydylsz.vo.WaterFixVO;
import com.jusfoun.ydylsz.vo.WaterMobileVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkSfjcjlMapper;
import com.jusfoun.ydylsz.vo.XwkSfjcjl;

@Service
public class WaterConmtentService {

	@Autowired
	private XwkSfjcjlMapper xwkSfjcjlMapper;

	public XwkSfjcjl list(String cfbh) {
		XwkSfjcjl xwkSfjcjl=new XwkSfjcjl();
		xwkSfjcjl.setHwbm(cfbh);
		XwkSfjcjl sfjcjlVO= xwkSfjcjlMapper.select(xwkSfjcjl);
		if(sfjcjlVO!=null){
			String id=sfjcjlVO.getId();
			List<WaterFixVO> listWaterFix=xwkSfjcjlMapper.selectWaterFixVO(id);
			List<WaterMobileVO> listWaterMobile=xwkSfjcjlMapper.selectWaterMobileVO(id);
			sfjcjlVO.setWaterFixVOList(listWaterFix);
			sfjcjlVO.setWaterMobileVOList(listWaterMobile);
		}
		return sfjcjlVO;
	}

	public XwkSfjcjl info(String id) {
		XwkSfjcjl record = new XwkSfjcjl();
		record.setSfjcjlid(id);
		return xwkSfjcjlMapper.selectInfo(record);
	}

	public PageInfo<XwkSfjcjl> page(XwkSfjcjl xwkSfjcjl, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		//return new PageInfo<XwkSfjcjl>(xwkSfjcjlMapper.select(xwkSfjcjl));
		return null;
	}

}
