package	com.jusfoun.ydylsz.service;

import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.DXPYGXXMapper;
import com.jusfoun.ydylsz.mapper.KshGgfwMapper;
import com.jusfoun.ydylsz.vo.DXPCFXXVO;
import com.jusfoun.ydylsz.vo.DXPYGXXVO;
import com.github.pagehelper.PageHelper;


// 油罐倒仓信息数据接口业务层  -- 对接出入库
@Service
public class YgDcxxService{

	@Autowired
	private DXPYGXXMapper dxpygxxMapper;
	@Autowired
	private KshGgfwMapper ggfwMapper;
	

	//列表
	public	PageInfo<DXPYGXXVO>  selectList(DXPYGXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPYGXXVO> pageInfo = new PageInfo<>(dxpygxxMapper.selectList(vo));
		for(DXPYGXXVO dxpygxxvo:pageInfo.getList()){
			dxpygxxvo.setYglx(ggfwMapper.queryName(dxpygxxvo.getYglx(), "油罐类型"));
		}
		return pageInfo;
	}

	//详情
	public	DXPYGXXVO selectDetail(DXPYGXXVO vo) throws Exception{
		return dxpygxxMapper.selectDetail(vo);
	}


}