package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_CRKJSXX--表4-11 入库结算信息数据接口")
@Table(name="DXP_CRKJSXX")
public class DXPCRKJSXXVO extends QueryVo{

	@ApiModelProperty(value = "结算单编码")
	private	String jsdbm;	//db_column:jsdbm	note:结算单编码

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "合同编码")
	private	String htbm;	//db_column:htbm	note:合同编码

	/*@ApiModelProperty(value = "业务日期")
	private	String ywrq;	//db_column:ywrq	note:业务日期*/

	@ApiModelProperty(value = "结算数量")
	private	String jssl;	//db_column:jssl	note:结算数量

	@ApiModelProperty(value = "结算价格")
	private	String jsdj;	//db_column:jsjg	note:结算价格

	@ApiModelProperty(value = "结算金额")
	private	String jsje;	//db_column:jsje	note:结算金额

	@ApiModelProperty(value = "结算时间")
	private	String jssj;	//db_column:jssj	note:结算时间

/*	@ApiModelProperty(value = "结算人姓名")
	private	String jsrxm;	//db_column:jsrxm	note:结算人姓名*/

	@ApiModelProperty(value = "发票号码")
	private	String fphm;	//db_column:fphm	note:发票号码

	@ApiModelProperty(value = "发票状态")
	private	String fpzt;	//db_column:fpzt	note:发票状态

/*	@ApiModelProperty(value = "库点税号")
	private	String kdsh;	//db_column:kdsh	note:库点税号*/
	@ApiModelProperty(value = "收款人")
	private	String skr;	//db_column:yhhbdm	note:银行行别代码

	@ApiModelProperty(value = "收款人身份证")
	private	String skrsfzh;	//db_column:yhhbdm	note:银行行别代码

	@ApiModelProperty(value = "银行行别代码")
	private	String yhhbdm;	//db_column:yhhbdm	note:银行行别代码

	@ApiModelProperty(value = "开户行号")
	private	String khhh;	//db_column:khhh	note:开户行号

	@ApiModelProperty(value = "开户行名称")
	private	String khhmc;	//db_column:khhmc	note:开户行名称

	@ApiModelProperty(value = "银行卡号")
	private	String yhkh;	//db_column:yhkh	note:银行卡号

}