package com.jusfoun.ydylsz.vo;


import com.jusfoun.ydylsz.vo.in.base.QueryVo;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.persistence.Table;

@Data
@ApiModel(value = "DXP_cxx--表4-7 倒仓信息数据接口")
@Table(name="DXP_DCXX")
public class DXPDCXX extends QueryVo {
    private String dcdbm;
    private String dcjhwjbh;
    private String tzdbm;
    private String dcdw;
    private String pzbm;
    private String hwbm;
    private String dchwbm;
    private String drhwbm;
    private String dcrq;
    private String cyr;
    private String sfzh;
    private String lxdh;
    private String ysgj;
    private String cch;
    private String rmdjy;
    private String rmdjsj;
    private String cmdjy;
    private String cmdjsj;
    private String mz;
    private String pz;
    private String xckl;
    private String szkzl;
    private String qtkl;
    private String qtklsm;
    private String mzjjy;
    private String lsxz;
    private String mzjby;
    private String cmsj;
    private String kqmc; //库区名称
    private String pzjjy; //批准出库单位
    private String pzjby;
    private String cpsj;
    private String bz;
    private String pzmc;
    private String cccfbh;
    private String ccbgy;
    private String rccfbh;
    private String rcbgy;
    private String jz;
    private Float jjsl;
    
    private String cccfmc;  // 出仓仓房名称
    private String cchwmc;  // 出仓货位名称
    private String rccfmc;  // 入仓仓房名称
    private String rchwmc;  // 入仓货位名称

/*    private String tbr;  //填报人
    private String ywfzr;  //业务负责人
    private String cczr;  //分管仓储主任
    private String gxzr;  //分管购销主任
    private String dclx;  //倒仓类型*/

}
