package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_LSCRKXX--表4-9 粮食出库信息数据接口")
@Table(name="DXP_LSCRKXX")
public class DXPLSCRKXXVO extends QueryVo{
	
	private Integer id;

	@ApiModelProperty(value = "业务单号")
	private	String ywdh;	//db_column:ywdh	note:业务单号

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "出库通知单号")
	private	String cktzdh;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "业务类型")
	private	String ywlx;	//db_column:ywlx	note:业务类型

	@ApiModelProperty(value = "业务日期")
	private	String ywrq;	//db_column:ywrq	note:业务日期

	@ApiModelProperty(value = "合同编码")
	private	String htbm;	//db_column:htbm	note:合同编码

	@ApiModelProperty(value = "承运人")
	private	String cyr;	//db_column:cyr	note:承运人

	@ApiModelProperty(value = "联系电话")
	private	String lxdh;	//db_column:lxdh	note:联系电话

	@ApiModelProperty(value = "身份证号")
	private	String sfzh;	//db_column:sfzh	note:身份证号

	@ApiModelProperty(value = "详细地址")
	private	String xxdz;	//db_column:xxdz	note:详细地址

	@ApiModelProperty(value = "运输工具")
	private	String ysgj;	//db_column:ysgj	note:运输工具

	@ApiModelProperty(value = "车船号")
	private	String cch;	//db_column:cch	note:车船号

	@ApiModelProperty(value = "登记时间")
	private	String djsj;	//db_column:djsj	note:登记时间

	@ApiModelProperty(value = "登记门岗人员姓名")
	private	String djmgryxm;	//db_column:djmgryxm	note:登记门岗人员姓名

	@ApiModelProperty(value = "粮食品种编码")
	private	String pzbm;

	@ApiModelProperty(value = "登记包装物")
	private	String djbzw;

	@ApiModelProperty(value = "登记件数")
	private	String djjs;	//db_column:pzbm	note:粮食品种编码

	@ApiModelProperty(value = "粮食等级")
	private	String djbm;	//db_column:djbm	note:粮食等级

	@ApiModelProperty(value = "粮食性质编码")
	private	String lqxzbm;	//db_column:lqxzbm	note:粮食性质编码

	@ApiModelProperty(value = "收获年度")
	private	String shnd;	//db_column:shnd	note:收获年度

	@ApiModelProperty(value = "产地代码")
	private	String cddm;	//db_column:cddm	note:产地代码

	@ApiModelProperty(value = "检斤类型")
	private	String jjlx;

	@ApiModelProperty(value = "检验结果")
	private	String jyjg;	//db_column:jyjg	note:检验结果

	@ApiModelProperty(value = "质检扣量")
	private	String zjkl;	//db_column:zjkl	note:质检扣量

	@ApiModelProperty(value = "扦样时间")
	private	String qysj;	//db_column:qysj	note:扦样时间

	@ApiModelProperty(value = "扦样方式")
	private	String qyfs;	//db_column:qyfs	note:扦样方式

	@ApiModelProperty(value = "质检时间")
	private	String zjsj;	//db_column:zjsj	note:质检时间

	@ApiModelProperty(value = "质检人员")
	private	String zjry;	//db_column:zjry	note:质检人员

	@ApiModelProperty(value = "毛重")
	private	String mz;	//db_column:mz	note:毛重

	@ApiModelProperty(value = "毛重监磅员")
	private	String mzjby;	//db_column:mzjby	note:毛重监磅员

	@ApiModelProperty(value = "毛重计量时间")
	private	String mzjlsj;	//db_column:mzjlsj	note:毛重计量时间

	@ApiModelProperty(value = "毛重计量员")
	private	String mzjly;	//db_column:mzjly	note:毛重计量员

	@ApiModelProperty(value = "需整理粮食毛重")
	private	String xzllsmz;	//db_column:mzjly	note:毛重计量员

	@ApiModelProperty(value = "上磅位置")
	private	String sbwz;	//db_column:sbwz	note:上磅位置

	@ApiModelProperty(value = "皮重")
	private	String pz;	//db_column:pz	note:皮重

	@ApiModelProperty(value = "皮重监磅员")
	private	String pzjby;	//db_column:pzjby	note:皮重监磅员

	@ApiModelProperty(value = "皮重计量时间")
	private	String pzjlsj;	//db_column:pzjlsj	note:皮重计量时间

	@ApiModelProperty(value = "皮重计量员")
	private	String pzjly;	//db_column:pzjly	note:皮重计量员

	@ApiModelProperty(value = "标准包单包重")

	private	String bzbdbz;
	@ApiModelProperty(value = "标准包件数")

	private	String bzbjs;
	@ApiModelProperty(value = "包装物扣量")
	private	String bzwkl;

	@ApiModelProperty(value = "扣水杂")
	private	String ksz;	//db_column:xckl	note:现场扣量
	@ApiModelProperty(value = "现场扣量")
	private	String xckl;	//db_column:xckl	note:现场扣量


	/*@ApiModelProperty(value = "烘干扣量")
	private	String hgkl;	//db_column:hgkl	note:烘干扣量*/

	@ApiModelProperty(value = "净重")
	private	String jz;	//db_column:jz	note:净重

	@ApiModelProperty(value = "出门时间")
	private	String cmsj;	//db_column:cmsj	note:出门时间

	@ApiModelProperty(value = "出门确认门岗人员姓名")
	private	String cmqrmgryxm;	//db_column:cmqrmgryxm	note:出门确认门岗人员姓名

	@ApiModelProperty(value = "结算单编码")
	private	String jsdbm;	//db_column:jsdbm	note:结算单编码

	@ApiModelProperty(value = "出库结算单编码")
	private	String ckjsdbm;	//db_column:jsdbm	note:结算单编码

	@ApiModelProperty(value = "备注")
	private	String bz;	//db_column:jsdbm	note:结算单编码

	@ApiModelProperty(value = "仓房编码")
	private	String cfbm;	//db_column:jsdbm	note:结算单编码
	@ApiModelProperty(value = "仓房名称")
	private	String cfmc;
	@ApiModelProperty(value = "其他扣量")
	private	String qtkl;	//db_column:xckl	note:现场扣量
	@ApiModelProperty(value = "扣量原因")
	private	String klyy;	//db_column:xckl	note:现场扣量
	@ApiModelProperty(value = "计划编号")
	private	String jhbh;	//db_column:xckl	note:现场扣量
	
	@ApiModelProperty(value = "净重带吨的单位")
	private	String jzmc;
	
	/*@ApiModelProperty(value = "仓房货位编码")
	private	String hwbm;*/
	
	@ApiModelProperty(value = "银行账号")
	private	String yhkh;
	
	@ApiModelProperty(value = "开户行名称")
	private	String khhmc;
	
	@ApiModelProperty(value = "结算单价")
	private	Float jsdj;
	
	@ApiModelProperty(value = "结算金额")
	private	Float jsje;
	
	@ApiModelProperty(value = "报管员")
	private String bgy;
	
	@ApiModelProperty(value = "客户名称")
	private String khmc;
	
	@ApiModelProperty(value = "身份整号")
	private String sfzh1;
	
	@ApiModelProperty(value = "联系电话")
	private String lxdh1;
	
	@ApiModelProperty(value = "结算数量,计价数量")
	private Float jssl;
	
	private String rz;  //容重     
	private String zz;   // 杂质   
	private String sf;  //  水分
	private String szqw; // 色泽、气味  
	private String bwsl;  // 不完善粒	
	private String syl;  // 生芽粒
	private String sml;  // 生霉粒
	private String mbl;   //霉变率
	private String mjxsl; // 面筋吸水量
	private String pcfz; // 品尝分值
	private String szqw1; // 色泽、气味
	private String otms; // 呕吐毒素
	private String ymcmxt; // 玉米赤霉烯酮
	private String qian; // 铅
	private String wjs; // 无机砷
	private String qyr;  //扦样员
	private String jysj;  // 检验时间
	private String jyy;  // 检验人
	private String ge; //镉
	private String gong; // 贡
	private String zdbzhl; // 粗蛋白质含量
	private String dbzrjbl; // 蛋白质溶解比率
	private String zs; // 总砷
	private String kwz; // 矿物质
	private String hqmds; //黄曲霉毒素B1	
	private String zzfhl;  // 粗脂肪含量
	private String zjml; //整精米率
	private String gwcm; //谷外糙米	
	private String hlm; //黄粒米		
	private String hhl; //互混率	
	
	private String wzll;  //完整粒率
	private String ssll; //损伤粒率	
	private String rssl; //热损伤粒
	private String zzfsz; //粗脂肪酸值
	
	// 大豆油
	private String qwzw; // 气味滋味
	private String sfjhfwhl; // 水分及挥发物含量
	private String brxzzhl;  // 不溶性杂质含量
	private String sj; // 酸价
	private String gyhz; // 过氧化值
	private String rjcll;// 溶剂残留量  
	private String sz;  // 色泽
	private String tmd;  // 透明度
	private String jrsy; // 加热试验
	private String hzl; //  含皂量     
	private String ldsy; // 冷冻试验
	private String yd; // 烟点   
	private String zfsz;  //脂肪酸值	
	private String ccl;  // 出糙率

	// 大米
	private String sm;  // 碎米
	private String xsm; // 小碎米
	private String dmjgjd; // 大米加工精度
	private String zldf; // 直链淀粉
	private String ebd;// 垩白度
	// 小麦粉
	private String jgjd; // 加工精度
	private String hf;   // 灰分 
	private String cxd; // 粗细度
	private String hsl; // 含沙量  
	private String cxjsw; // 磁性金属物
	
	private String lx; // 入库 到仓
	
	private String jyxm; // 检验项目
	
	private String zjbgdbh;  // 质检号
	
	private String hwmc; //货位名称
	
	private Float sjsl; //实际数量
	
	private String ajbh;   // 廒间编号
	
	private String pzmc; // 品种名称

}