package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_RKJYXX--表4-10 入库检查信息数据接口")
@Table(name="DXP_RKJYXX")
public class DXPRKJYXXVO extends QueryVo{

	@ApiModelProperty(value = "检验单编号")
	private	String qydbh;	//db_column:qydbh	note:检验单编号

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "入库单编码")
	private	String ypbm;	//db_column:ypbm	note:入库单编码

	@ApiModelProperty(value = "扦样时间")
	private	String qysj;	//db_column:qysj	note:扦样时间
/*
	@ApiModelProperty(value = "扦样单位")
	private	String qydw;	//db_column:qydw	note:扦样单位*/

/*	@ApiModelProperty(value = "扦样地点")
	private	String qydd;	//db_column:qydd	note:扦样地点*/

	@ApiModelProperty(value = "扦样人姓名")
	private	String qyrxm;	//db_column:qyrxm	note:扦样人姓名

	@ApiModelProperty(value = "扦样类别")
	private	String qylb;	//db_column:qylb	note:扦样类别

/*	@ApiModelProperty(value = "保存期限")
	private	String bcqx;	//db_column:bcqx	note:保存期限

	@ApiModelProperty(value = "样品数量")
	private	String ypsl;	//db_column:ypsl	note:样品数量

	@ApiModelProperty(value = "代表数量")
	private	String dbsl;	//db_column:dbsl	note:代表数量

	@ApiModelProperty(value = "样品状态")
	private	String ypzt;	//db_column:ypzt	note:样品状态

	@ApiModelProperty(value = "执行标准")
	private	String zxbz;	//db_column:zxbz	note:执行标准*/

	@ApiModelProperty(value = "检验项目")
	private	String jyxm;	//db_column:jyxm	note:检验项目

	@ApiModelProperty(value = "检验结论")
	private	String jyjl;	//db_column:jyjl	note:检验结论

	@ApiModelProperty(value = "增扣价")
	private	String zkj;	//db_column:zkj	note:增扣价

	@ApiModelProperty(value = "增扣量")
	private	String zkl;	//db_column:zkl	note:增扣量

	@ApiModelProperty(value = "检验人姓名")
	private	String jyrxm;	//db_column:jyrxm	note:检验人姓名

	@ApiModelProperty(value = "检验时间")
	private	String jysj;	//db_column:jysj	note:检验时间

	@ApiModelProperty(value = "检验结果")
	private	String jyjg;	//db_column:jyjg	note:检验结果

	@ApiModelProperty(value = "粮食品种编码")
	private	String pzbm;	//db_column:pzbm	note:粮食品种编码

	@ApiModelProperty(value = "粮食定等")
	private	String lsdd;	//db_column:lsdj	note:粮食等级

/*	@ApiModelProperty(value = "粮食产地")
	private	String lscd;	//db_column:lscd	note:粮食产地*/

	@ApiModelProperty(value = "粮食性质编码")
	private	String lsxz;	//db_column:lsxz	note:粮食性质编码

}