package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_RYXX--表4-8 人员信息数据接口")
@Table(name="DXP_RYXX")
public class DXPRYXXVO extends QueryVo{

	@ApiModelProperty(value = "人员编码")
	private	String bgrybh;	//db_column:bgrybh	note:人员编码

	@ApiModelProperty(value = "库区编码")
	private	String qybm;	//db_column:qybm	note:库区编码

	@ApiModelProperty(value = "人员类别")
	private	String rylb;	//db_column:rylb	note:人员类别

	@ApiModelProperty(value = "姓名")
	private	String xm;	//db_column:xm	note:姓名

	@ApiModelProperty(value = "性别")
	private	String xb;	//db_column:xb	note:性别

	@ApiModelProperty(value = "籍贯")
	private	String jg;	//db_column:jg	note:籍贯

	@ApiModelProperty(value = "民族")
	private	String mz;	//db_column:mz	note:民族

	@ApiModelProperty(value = "身份证号码")
	private	String sfzhm;	//db_column:sfzhm	note:身份证号码

	@ApiModelProperty(value = "文化程度")
	private	String whcd;	//db_column:whcd	note:文化程度

	@ApiModelProperty(value = "政治面貌")
	private	String zzmm;	//db_column:zzmm	note:政治面貌

	@ApiModelProperty(value = "职业资格证种类")
	private	String zyzgzzl;	//db_column:zyzgzzl	note:职业资格证种类

	@ApiModelProperty(value = "职业资格证编号")
	private	String zyzgzbh;	//db_column:zyzgzbh	note:职业资格证编号

	@ApiModelProperty(value = "培训经历")
	private	String pxjl;	//db_column:pxjl	note:培训经历

	@ApiModelProperty(value = "获奖经历")
	private	String hjjl;	//db_column:hjjl	note:获奖经历

	@ApiModelProperty(value = "从业年数")
	private	String cyns;	//db_column:cyns	note:从业年数

	@ApiModelProperty(value = "备注")
	private	String bz;	//db_column:bz	note:备注

}