package com.jusfoun.ydylsz.vo;

import java.util.List;

import javax.persistence.Table;

import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "货位信息数据接口")
@Table(name="DXP_TFZYJG")
public class DXPTFZYJGVO extends QueryVo{

	@ApiModelProperty(value = "通风作业编码")
	private	String tfzybm;	

	@ApiModelProperty(value = "仓房货位编码")
	private	String cfhwbh;	

	@ApiModelProperty(value = "通风人员")
	private	String tfry;	

	@ApiModelProperty(value = "通风目的")
	private	String tfmd;	

	@ApiModelProperty(value = "通风开始时间")
	private	String tfkssj;	

	@ApiModelProperty(value = "通风关闭时间")
	private	String tfgbsj;	

	@ApiModelProperty(value = "风机功率")
	private	Float fjgl;	

	@ApiModelProperty(value = "风机总阻力")
	private	Float fjzdl;	

	@ApiModelProperty(value = "通风类型")
	private	String tflx;	

	@ApiModelProperty(value = "单位通风量")
	private	Float dwtfl;	

	@ApiModelProperty(value = "总风量")
	private	Float zfl;	

	@ApiModelProperty(value = "通风方式")
	private	String tffs;	

	@ApiModelProperty(value = "累计通风时长")
	private	Float ljtfsc;

	@ApiModelProperty(value = "大气温度最高值")
	private	Float dqwdzgz;

	@ApiModelProperty(value = "大气温度最低值")
	private	Float dqwdzdz;

	@ApiModelProperty(value = "大气温度平均值")
	private	Float dqwdpjz;	

	@ApiModelProperty(value = "大气湿度最高值")
	private	Float dqsdzgz;	

	@ApiModelProperty(value = "大气湿度最低值")
	private	Float dqsdzdz;
	
	@ApiModelProperty(value = "大气湿度平均值")
	private	Float dqsdpjz;
	
	@ApiModelProperty(value = "粮食温度通风前最高值")
	private	Float lswdtfqzgz;

	@ApiModelProperty(value = "粮食温度通风前最低值")
	private	Float lswdtfqzdz;

	@ApiModelProperty(value = "粮食温度通风前平均值")
	private	Float lswdtfqpjz;	

	@ApiModelProperty(value = "粮食温度通风后最高值")
	private	Float lswdtfhzgz;	

	@ApiModelProperty(value = "粮食温度通风后最低值")
	private	Float lswdtfhzdz;
	
	@ApiModelProperty(value = "粮食温度通风后平均值")
	private	Float lswdtfhpjz;	
	
	@ApiModelProperty(value = "粮食湿度通风前最高值")
	private	Float lssdtfqzgz;
	
	@ApiModelProperty(value = "粮食湿度通风前最低值")
	private	Float lssdtfqzdz;

	@ApiModelProperty(value = "粮食湿度通风前平均值")
	private	Float lssdtfqpjz;

	@ApiModelProperty(value = "粮食湿度通风后最高值")
	private	Float lssdtfhzgz;	

	@ApiModelProperty(value = "粮食湿度通风后最低值")
	private	Float lssdtfhzdz;	
	
	@ApiModelProperty(value = "粮食湿度通风后平均值")
	private	Float lssdtfhpjz;
	
	@ApiModelProperty(value = "总电耗")
	private	Float zdl;
	
	@ApiModelProperty(value = "单位能耗")
	private	Float dwnh;
	
	@ApiModelProperty(value = "操作标志")
	private	String czbz;
	
	@ApiModelProperty(value = "数量")
	private	String ccsl;
	
	@ApiModelProperty(value = "粮食品种名称")
	private	String lspzmc;
	
	@ApiModelProperty(value = "仓房名称")
	private	String cfhwmc;
	
	@ApiModelProperty(value = "审批人")
	private	String spr;
	
	@ApiModelProperty(value = "备注")
	private	String bz;
	
	@ApiModelProperty(value = "描述")
	private	String ms;
	
	@ApiModelProperty(value = "粮层厚度")
	private	Float lchd;
	
	@ApiModelProperty(value = "仓房类型")
	private String cflxnm;
	
	@ApiModelProperty(value = "风机数量")
	private Integer fjsl;
	
	@ApiModelProperty(value = "保温隔热措施")
	private String bwgrcs;
	
	@ApiModelProperty(value = "最大温度梯度值")
	private	Float zdwdtdz;
	
	@ApiModelProperty(value = "最大水分梯度值")
	private	Float zdsftdz;
	
	@ApiModelProperty(value = "风网类型")
	private String fwlx;
	
	@ApiModelProperty(value = "风机类型")
	private String fjxh;
	
	@ApiModelProperty(value = "操作人姓名")
	private String czrxm;
	
	@ApiModelProperty(value = "货位名称")
	private String hwmc;
	
}
