package com.jusfoun.ydylsz.vo;

import javax.persistence.Table;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value = "DXP_ZJSJ--表4-15 质检数据接口")
@Table(name="DXP_ZJSJ")
public class DXPZJXQYMVO {
	
	private String cfbh;
	private String hwbm;
	private String bgr;
	private String pzbm;
	private String qyrxm;
	private String jdrxm;
	private String qyrq;
	private String jyrq;
	private String qfrq;
	private String jyxm;
	private Float ypsl;
	private Float dbsl;
	private String lsxz;
	private String pzmc;
	private String djmc;
	private String bz;
	private String zjbgdbh;
	private String jyr;
	private String qysj;
	private String bgcjsj;
	private String jyjl;
	
	// 小麦
	private String rz;  //容重
	private String zz;   // 杂质
	private String sf;  //  水分
	private String szqw; // 色泽、气味
	private String bwsl;  // 不完善粒
	private String syl;  // 生芽粒
	private String sml;  // 生霉粒
	private String mbl;   //霉变率
	private String mjxsl; // 面筋吸水量
	private String pcfz; // 品尝分值
	private String szqw1; // 色泽、气味
	private String otms; // 呕吐毒素
	private String ymcmxt; // 玉米赤霉烯酮
	private String qian; // 铅
	private String ge; //镉
	private String gong; // 汞
	private String wjs; // 无机砷
	private String kwz; // 矿物质
	
	// 稻谷
	private String ccl;  // 出糙率
	private String zjml; //整精米率
	private String gwcm; //谷外糙米	
	private String hlm; //黄粒米		
	private String hhl; //互混率				
	private String zfsz;  //脂肪酸值	
	private String hqmds; //黄曲霉毒素B1	
	
	// 大豆
	private String wzll;  //完整粒率
	private String ssll; //损伤粒率	
	private String rssl; //热损伤粒
	private String zzfsz; //粗脂肪酸值
	private String zzfhl;  // 粗脂肪含量
	private String zdbzhl; // 粗蛋白质含量
	private String dbzrjbl; // 蛋白质溶解比率
	private String zs; // 总砷
	// 大豆油
	private String qwzw; // 气味滋味
	private String sfjhfwhl; // 水分及挥发物含量
	private String brxzzhl;  // 不溶性杂质含量
	private String sj; // 酸价
	private String gyhz; // 过氧化值
	private String rjcll;// 溶剂残留量  
	private String sz;  // 色泽
	private String tmd;  // 透明度
	private String jrsy; // 加热试验
	private String hzl; //  含皂量     
	private String ldsy; // 冷冻试验
	private String yd; // 烟点   

	// 大米
	private String sm;  // 碎米
	private String xsm; // 小碎米
	private String dmjgjd; // 大米加工精度
	private String zldf; // 直链淀粉
	private String ebd;// 垩白度
	// 小麦粉
	private String jgjd; // 加工精度
	private String hf;   // 灰分 
	private String cxd; // 粗细度
	private String hsl; // 含沙量  
	private String cxjsw; // 磁性金属物
	// 新增字段
	private String cfmc;  // 仓房名称
	private String hwmc;  // 货位名称
	private Float cnlssl;// 仓内粮食数量
	private String cd; // 产地
	private String scnx;// 生产年限	
	private String ajmc; // 廒间名称
}
