package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 功能描述: 阀值表数据
 *
 */

@Data
@ApiModel(value = "阀值表数据")
public class ParaConfigVO {

	
    @Column(name = "para_code")
    private String paraCode;
	
	@Column(name = "config_code")
	private String configCode;
	
	@Column(name = "config_name")
	private String configName;
	
	@Column(name = "config_value")
	private String configValue;
	
	@Column(name = "config_last_value")
	private String configLastValue;
	
	@Column(name = "order_by")
	private String orderBy;
	
	@Column(name = "pym")
	private String pym;
	
	@Column(name = "config_name_en")
	private String configNameEn;
}
