package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;

import java.util.List;
import java.util.Map;

import javax.persistence.Table;

import org.springframework.beans.factory.annotation.Autowired;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


@Data
@ApiModel(value = "t_testdata_cloud--表4-4 温度信息")
@Table(name="basic_warehouse")
public class TemperatureVO {

	@ApiModelProperty(value = "主键id")
	private	String id;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "时间")
	private	String tTime;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓内温")
	private	String intemp;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓内湿")
	private	String inh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓外温")
	private	String outtemp;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓外湿")
	private	String outh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "最高粮温")
	private	String tMax;	//db_column:cfbh	note:仓房编码


	@ApiModelProperty(value = "最高粮温部位")
	private	String tMaxName;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "最低粮温")
	private	String tMin;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "最低粮温部位")
	private	String tMinName;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "平均粮温")
	private	String tAvg;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "温度值")
	private	String tPoints;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "=货位编码")
	private	String hwbm;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "时间")
	private	String storehouseCode;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓房名称")
	private	String storehouseName;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "企业名称")
	private	String depotName;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "保管员")
	private	String bgy;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "保管员")
	private	List<Map<String, Object>> lwjh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty()
	private List<List<Map<String, Object>>> lwcjh;


	@ApiModelProperty(value = "日期集合")
	private	List<String> date;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓房编号")
	private	String cfbh;
}
