package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class XwkKcxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public XwkKcxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andKcxxidIsNull() {
            addCriterion("KCXXID is null");
            return (Criteria) this;
        }

        public Criteria andKcxxidIsNotNull() {
            addCriterion("KCXXID is not null");
            return (Criteria) this;
        }

        public Criteria andKcxxidEqualTo(String value) {
            addCriterion("KCXXID =", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotEqualTo(String value) {
            addCriterion("KCXXID <>", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidGreaterThan(String value) {
            addCriterion("KCXXID >", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidGreaterThanOrEqualTo(String value) {
            addCriterion("KCXXID >=", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidLessThan(String value) {
            addCriterion("KCXXID <", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidLessThanOrEqualTo(String value) {
            addCriterion("KCXXID <=", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidLike(String value) {
            addCriterion("KCXXID like", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotLike(String value) {
            addCriterion("KCXXID not like", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidIn(List<String> values) {
            addCriterion("KCXXID in", values, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotIn(List<String> values) {
            addCriterion("KCXXID not in", values, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidBetween(String value1, String value2) {
            addCriterion("KCXXID between", value1, value2, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotBetween(String value1, String value2) {
            addCriterion("KCXXID not between", value1, value2, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNull() {
            addCriterion("HWBM is null");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNotNull() {
            addCriterion("HWBM is not null");
            return (Criteria) this;
        }

        public Criteria andHwbmEqualTo(String value) {
            addCriterion("HWBM =", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotEqualTo(String value) {
            addCriterion("HWBM <>", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThan(String value) {
            addCriterion("HWBM >", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThanOrEqualTo(String value) {
            addCriterion("HWBM >=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThan(String value) {
            addCriterion("HWBM <", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThanOrEqualTo(String value) {
            addCriterion("HWBM <=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLike(String value) {
            addCriterion("HWBM like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotLike(String value) {
            addCriterion("HWBM not like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmIn(List<String> values) {
            addCriterion("HWBM in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotIn(List<String> values) {
            addCriterion("HWBM not in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmBetween(String value1, String value2) {
            addCriterion("HWBM between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotBetween(String value1, String value2) {
            addCriterion("HWBM not between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andNdIsNull() {
            addCriterion("ND is null");
            return (Criteria) this;
        }

        public Criteria andNdIsNotNull() {
            addCriterion("ND is not null");
            return (Criteria) this;
        }

        public Criteria andNdEqualTo(String value) {
            addCriterion("ND =", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdNotEqualTo(String value) {
            addCriterion("ND <>", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdGreaterThan(String value) {
            addCriterion("ND >", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdGreaterThanOrEqualTo(String value) {
            addCriterion("ND >=", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdLessThan(String value) {
            addCriterion("ND <", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdLessThanOrEqualTo(String value) {
            addCriterion("ND <=", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdLike(String value) {
            addCriterion("ND like", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdNotLike(String value) {
            addCriterion("ND not like", value, "nd");
            return (Criteria) this;
        }

        public Criteria andNdIn(List<String> values) {
            addCriterion("ND in", values, "nd");
            return (Criteria) this;
        }

        public Criteria andNdNotIn(List<String> values) {
            addCriterion("ND not in", values, "nd");
            return (Criteria) this;
        }

        public Criteria andNdBetween(String value1, String value2) {
            addCriterion("ND between", value1, value2, "nd");
            return (Criteria) this;
        }

        public Criteria andNdNotBetween(String value1, String value2) {
            addCriterion("ND not between", value1, value2, "nd");
            return (Criteria) this;
        }

        public Criteria andQjIsNull() {
            addCriterion("QJ is null");
            return (Criteria) this;
        }

        public Criteria andQjIsNotNull() {
            addCriterion("QJ is not null");
            return (Criteria) this;
        }

        public Criteria andQjEqualTo(String value) {
            addCriterion("QJ =", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjNotEqualTo(String value) {
            addCriterion("QJ <>", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjGreaterThan(String value) {
            addCriterion("QJ >", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjGreaterThanOrEqualTo(String value) {
            addCriterion("QJ >=", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjLessThan(String value) {
            addCriterion("QJ <", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjLessThanOrEqualTo(String value) {
            addCriterion("QJ <=", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjLike(String value) {
            addCriterion("QJ like", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjNotLike(String value) {
            addCriterion("QJ not like", value, "qj");
            return (Criteria) this;
        }

        public Criteria andQjIn(List<String> values) {
            addCriterion("QJ in", values, "qj");
            return (Criteria) this;
        }

        public Criteria andQjNotIn(List<String> values) {
            addCriterion("QJ not in", values, "qj");
            return (Criteria) this;
        }

        public Criteria andQjBetween(String value1, String value2) {
            addCriterion("QJ between", value1, value2, "qj");
            return (Criteria) this;
        }

        public Criteria andQjNotBetween(String value1, String value2) {
            addCriterion("QJ not between", value1, value2, "qj");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNull() {
            addCriterion("LSXZBM is null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNotNull() {
            addCriterion("LSXZBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmEqualTo(String value) {
            addCriterion("LSXZBM =", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotEqualTo(String value) {
            addCriterion("LSXZBM <>", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThan(String value) {
            addCriterion("LSXZBM >", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSXZBM >=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThan(String value) {
            addCriterion("LSXZBM <", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThanOrEqualTo(String value) {
            addCriterion("LSXZBM <=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLike(String value) {
            addCriterion("LSXZBM like", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotLike(String value) {
            addCriterion("LSXZBM not like", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIn(List<String> values) {
            addCriterion("LSXZBM in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotIn(List<String> values) {
            addCriterion("LSXZBM not in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmBetween(String value1, String value2) {
            addCriterion("LSXZBM between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotBetween(String value1, String value2) {
            addCriterion("LSXZBM not between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andRksjIsNull() {
            addCriterion("RKSJ is null");
            return (Criteria) this;
        }

        public Criteria andRksjIsNotNull() {
            addCriterion("RKSJ is not null");
            return (Criteria) this;
        }

        public Criteria andRksjEqualTo(Date value) {
            addCriterionForJDBCDate("RKSJ =", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotEqualTo(Date value) {
            addCriterionForJDBCDate("RKSJ <>", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjGreaterThan(Date value) {
            addCriterionForJDBCDate("RKSJ >", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("RKSJ >=", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjLessThan(Date value) {
            addCriterionForJDBCDate("RKSJ <", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("RKSJ <=", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjIn(List<Date> values) {
            addCriterionForJDBCDate("RKSJ in", values, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotIn(List<Date> values) {
            addCriterionForJDBCDate("RKSJ not in", values, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("RKSJ between", value1, value2, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("RKSJ not between", value1, value2, "rksj");
            return (Criteria) this;
        }

        public Criteria andDjbmIsNull() {
            addCriterion("DJBM is null");
            return (Criteria) this;
        }

        public Criteria andDjbmIsNotNull() {
            addCriterion("DJBM is not null");
            return (Criteria) this;
        }

        public Criteria andDjbmEqualTo(String value) {
            addCriterion("DJBM =", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmNotEqualTo(String value) {
            addCriterion("DJBM <>", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmGreaterThan(String value) {
            addCriterion("DJBM >", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmGreaterThanOrEqualTo(String value) {
            addCriterion("DJBM >=", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmLessThan(String value) {
            addCriterion("DJBM <", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmLessThanOrEqualTo(String value) {
            addCriterion("DJBM <=", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmLike(String value) {
            addCriterion("DJBM like", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmNotLike(String value) {
            addCriterion("DJBM not like", value, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmIn(List<String> values) {
            addCriterion("DJBM in", values, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmNotIn(List<String> values) {
            addCriterion("DJBM not in", values, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmBetween(String value1, String value2) {
            addCriterion("DJBM between", value1, value2, "djbm");
            return (Criteria) this;
        }

        public Criteria andDjbmNotBetween(String value1, String value2) {
            addCriterion("DJBM not between", value1, value2, "djbm");
            return (Criteria) this;
        }

        public Criteria andShndIsNull() {
            addCriterion("SHND is null");
            return (Criteria) this;
        }

        public Criteria andShndIsNotNull() {
            addCriterion("SHND is not null");
            return (Criteria) this;
        }

        public Criteria andShndEqualTo(BigDecimal value) {
            addCriterion("SHND =", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotEqualTo(BigDecimal value) {
            addCriterion("SHND <>", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThan(BigDecimal value) {
            addCriterion("SHND >", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("SHND >=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThan(BigDecimal value) {
            addCriterion("SHND <", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThanOrEqualTo(BigDecimal value) {
            addCriterion("SHND <=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndIn(List<BigDecimal> values) {
            addCriterion("SHND in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotIn(List<BigDecimal> values) {
            addCriterion("SHND not in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("SHND between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("SHND not between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andFcsjIsNull() {
            addCriterion("FCSJ is null");
            return (Criteria) this;
        }

        public Criteria andFcsjIsNotNull() {
            addCriterion("FCSJ is not null");
            return (Criteria) this;
        }

        public Criteria andFcsjEqualTo(String value) {
            addCriterion("FCSJ =", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjNotEqualTo(String value) {
            addCriterion("FCSJ <>", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjGreaterThan(String value) {
            addCriterion("FCSJ >", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjGreaterThanOrEqualTo(String value) {
            addCriterion("FCSJ >=", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjLessThan(String value) {
            addCriterion("FCSJ <", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjLessThanOrEqualTo(String value) {
            addCriterion("FCSJ <=", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjLike(String value) {
            addCriterion("FCSJ like", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjNotLike(String value) {
            addCriterion("FCSJ not like", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjIn(List<String> values) {
            addCriterion("FCSJ in", values, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjNotIn(List<String> values) {
            addCriterion("FCSJ not in", values, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjBetween(String value1, String value2) {
            addCriterion("FCSJ between", value1, value2, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjNotBetween(String value1, String value2) {
            addCriterion("FCSJ not between", value1, value2, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcslIsNull() {
            addCriterion("FCSL is null");
            return (Criteria) this;
        }

        public Criteria andFcslIsNotNull() {
            addCriterion("FCSL is not null");
            return (Criteria) this;
        }

        public Criteria andFcslEqualTo(Double value) {
            addCriterion("FCSL =", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslNotEqualTo(Double value) {
            addCriterion("FCSL <>", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslGreaterThan(Double value) {
            addCriterion("FCSL >", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslGreaterThanOrEqualTo(Double value) {
            addCriterion("FCSL >=", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslLessThan(Double value) {
            addCriterion("FCSL <", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslLessThanOrEqualTo(Double value) {
            addCriterion("FCSL <=", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslIn(List<Double> values) {
            addCriterion("FCSL in", values, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslNotIn(List<Double> values) {
            addCriterion("FCSL not in", values, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslBetween(Double value1, Double value2) {
            addCriterion("FCSL between", value1, value2, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslNotBetween(Double value1, Double value2) {
            addCriterion("FCSL not between", value1, value2, "fcsl");
            return (Criteria) this;
        }

        public Criteria andKcslIsNull() {
            addCriterion("KCSL is null");
            return (Criteria) this;
        }

        public Criteria andKcslIsNotNull() {
            addCriterion("KCSL is not null");
            return (Criteria) this;
        }

        public Criteria andKcslEqualTo(Double value) {
            addCriterion("KCSL =", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotEqualTo(Double value) {
            addCriterion("KCSL <>", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslGreaterThan(Double value) {
            addCriterion("KCSL >", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslGreaterThanOrEqualTo(Double value) {
            addCriterion("KCSL >=", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslLessThan(Double value) {
            addCriterion("KCSL <", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslLessThanOrEqualTo(Double value) {
            addCriterion("KCSL <=", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslIn(List<Double> values) {
            addCriterion("KCSL in", values, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotIn(List<Double> values) {
            addCriterion("KCSL not in", values, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslBetween(Double value1, Double value2) {
            addCriterion("KCSL between", value1, value2, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotBetween(Double value1, Double value2) {
            addCriterion("KCSL not between", value1, value2, "kcsl");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}