package com.jusfoun.ydylsz.vo;

import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "虫害检查记录")
@Table(name="xwk_zljc")
public class XwkZljyxx {
	
    private String zljcid;
    
    @ApiModelProperty(value = "检验类型")
    private String jclx;

	@ApiModelProperty(value = "品种")
    private String pz;

	@ApiModelProperty(value = "等级")
    private String dj;

	@ApiModelProperty(value = "检验日期")
    private String jyrq;

	@ApiModelProperty(value = "检验结果")
    private String jyjg;
	
	@ApiModelProperty(value = "库区名称")
    private String kqmc;
	
	@ApiModelProperty(value = "库区名称")
    private String cfmc;

	@ApiModelProperty(value = "库区名称")
    private String cfbm;

	@ApiModelProperty(value = "检验人")
    private String jyr;

	@ApiModelProperty(value = "检验单位")
    private String jydw;
	
	@ApiModelProperty(value = "容重")
    private String rz;
	
	@ApiModelProperty(value = "水分")
    private String sf;
	
	@ApiModelProperty(value = "杂志总量")
    private String zzzl;
	
	@ApiModelProperty(value = "矿物质")
    private String kwz;
	
	@ApiModelProperty(value = "有机杂质")
    private String yjzz;
	
	@ApiModelProperty(value = "无机杂质")
    private String wjzz;
	
	@ApiModelProperty(value = "不完善总量")
    private String bwszl;
	
	@ApiModelProperty(value = "损伤率总量")
    private String sslzl;
	
	@ApiModelProperty(value = "虫蚀粒")
    private String csl;
	
	@ApiModelProperty(value = "病斑粒")
    private String bbl;
	
	@ApiModelProperty(value = "赤霉病粒")
    private String cmbl;
	
	@ApiModelProperty(value = "黑胚粒")
    private String hpl;
	
	@ApiModelProperty(value = "破损粒")
    private String psl;
	
	@ApiModelProperty(value = "生芽粒、涨大粒")
    private String syl;

	@ApiModelProperty(value = "霉变粒")
    private String mbl;
	
	@ApiModelProperty(value = "红硬")
    private String hy;
	
	@ApiModelProperty(value = "红软")
    private String hr;


	@ApiModelProperty(value = "白硬")
    private String by;
	
	@ApiModelProperty(value = "白软")
    private String br;
	
	@ApiModelProperty(value = "生霉粒")
    private String sml;
	
	@ApiModelProperty(value = "热损数量")
    private String rusl;
	
	@ApiModelProperty(value = "自然热损")
    private String zrrsl;
	
	@ApiModelProperty(value = "烘干热损")
    private String hgrsl;
	
	@ApiModelProperty(value = "色泽气味")
    private String seqw;
	
	@ApiModelProperty(value = "完整粒")
    private String wzll;
	
	@ApiModelProperty(value = "未熟粒")
    private String wsll;
	
	@ApiModelProperty(value = "冻伤粒")
    private String dsl;
	
	@ApiModelProperty(value = "粗脂肪含量")
    private String czfhl;
	
	
	
	@ApiModelProperty(value = "出糙率")
    private String ccl;
	
	@ApiModelProperty(value = "整精米率")
    private String zjml;
	
	@ApiModelProperty(value = "谷外糙米")
    private String gwcm;
	
	@ApiModelProperty(value = "胡混率")
    private String hhl;
	
	@ApiModelProperty(value = "黄粒米")
    private String hlm;

	@ApiModelProperty(value = "审核年度")
    private String shnd;
    private String xxdpz;
    private String kqbm;
    private String hwbm;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date rksj;
    private String sl;
    private String cd;
    private String bgy;
    private String qyr;
    private String qyrq;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date jybgcjrq;
    private String sjly;
    private String pcpfz;
    private String mjxsl;
    private String bwslbblz;
    private String bwslbblh;
    private String bwslbblc;
    private String ydzs;
}