package com.jusfoun.ydylsz.vo.zjbg;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
@Data
@ApiModel(value = "质检报告功能实体")
public class StorageQualitycheckForSPT {

    private String acceptUnite;//检验单位

    private String orgName;//委托单位名称   org_info表   org_name
    private String storehouseName;//仓房名称 org_info表

    private String wareHouseName;//货位名称 basic_warehouse表

    private String hwbm;//货位编码120编码    basic_warehouse表

    private String levelCode;//委托单位和检查单位编码120编码    org_info表   level_code

    private String keeper;//保管员

    private String subType;//粮食品种   basic_enum表的enumId

    private String quality;//性质  basic_enum表的enumId

    private String numberUpdate;//数量

    private String ypsl;//ypsl样品数量

    private String dbsl;//dbsl代表数量

    private String location;//产地

    private String levelUpdate;//等级

    private String harvestTime;//收获年度  --生产年限

    private String checker;//检验人

    private String chooser;//扦样人

    private Date chooseTime;//扦样日期

    private Date checkTime;//检验日期

    private String checkResult;//检验结果 0合格 1不合格

    private Date checkResultTime;//报告出具日期

    private String remarks;//备注

    private String keepingWay;//保管方式  --存储方式 keeping_way

    private String water;//水分

    private String hardIndex;//硬度指数

    private String mildewCount;//生霉粒

    private String colorsmell;//色泽.气味
    private String levelOil ;//等级粮油

    private String goodpart;//完整粒度

    private String badpart;//不完善颗粒(未熟粒、破碎粒)

    private String glutenWaterCount;//面筋吸水量

    private String eatScore;//品尝评分

    private String hotDamage;//热损伤

    //storage_qualitycheck_inspection
    private String unitWeight;//容重

    private String impurityTotal;//杂质总量

    private String impurityInorganic;//杂质无机杂质

    private String impurityOrganic;//杂质有机杂质

    private String impurityBranPowder;//糠粉-大米

    private String imperfectgrainsTotal;//不完善粒总量

    private String imperfectgrainsInjuredkernel;//不完善粒虫蚀粒

    private String imperfectgrainsScab;//不完善粒病斑粒

    private String imperfectgrainsScabTotal;//不完善粒病斑粒总量

    private String imperfectgrainsScabBlackembryo;//不完善粒病斑粒黑胚粒

    private String imperfectgrainsScabGibberella;//不完善粒病斑粒赤霉病粒

    private String imperfectgrainsDamage;//不完善粒破损粒

    private String imperfectgrainsSproutedkernel;//不完善粒生芽粒

    private String imperfectgrainsFrostbite;//不完善粒冻伤

    private String imperfectgrainsImmaturegrain;//不完善粒未熟粒

    private String imperfectgrainsContent;//不完善粒含量

    private String imperfectgrainsBrownrice;//不完善粒糙米粒

    private String naturally;//自然热损伤粒

    private String stoving;//烘干热损伤粒

    private String crudeFatContent;//粗脂肪含量（干基）%

    private String proteolysis;// 蛋白溶解

    private String mildew;//霉变粒

    private String immatureGrainRate;//未熟粒率

    private String crushingRate;//破碎率

    private String yellowRice;//黄粒米%

    private String relativeDensity;//相对密度

    private String waterVolatiles;//水分及挥发物含量

    private String insolubleImpurity;//不溶性杂质含量

    private String acidValue;//酸价（KOH）/(mg/g)

    private String soapContent;//含皂量%

    private String heat;//加热实验（280℃）

    private String avgLength;//平均长度

    private String riceGrains;//完整米粒

    private String brokenriceTotal;//碎米总量

    private String brokenriceBig;//碎米大

    private String brokenriceSmall;//碎米小

    private String machiningaccuracy;//加工精度

    private String chalkiness;//垩白度

    private String machiningaccuracyEssence;//加工精度精碾

    private String machiningaccuracySuitable;//加工精度适碾

    private String amylose;//直链淀粉含量

    private String ashContent;// 灰分%（以干物计）

    private String coarseness;// 粗细度%

    private String gluten;//面筋质%（以湿重计）

    private String siltContent;//含沙量

    private String magneticMetal;//磁性金属物g/kg

    private String sieveResidue;//筛下物%2020.12.21  新增字段

    private String riceYield;//出米率%2020.12.21  新增字段

    private Integer id;

    private Integer houseId;					//油罐ID 				油罐没有货位id 

    private Integer warehouseId;

    private Integer orgId;

    private String typeUpdate;//检验类型   1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查

    private String mineral;//矿物质

    private String colorsmellcc;//泽.气味（存储）

    private String fatIndex;//脂肪酸值

    private String huskedRation;//出糙率

    private String fullGoodRation;//整精米率

    private String yellowPart;//黄粒米

    private String outHuskedRation;//谷外糙米

    private String smelltaste;//气味、滋味

    private String transparency;//透明度

    private String peroxideValue;//过氧化值(mmol/kg)

    private String smokePoint;//烟点

    private String reezeTest;//冷冻实验(0℃储藏5.5h)

    private String residualSolvent;//溶剂残留量(mg/kg)

    private String lead;//铅(Pb)

    private String totalArsenic;//总砷(以As计)(mg/kg)

    private String aflatoxin;//黄曲霉毒素(ug/kg)

    private String butylPhenol;//特丁基对二苯酚(g/kg)

    private String intermixingRate;//互混率(%)

    private String pests;//虫害

    private String colorRatio;//色率

    private String damageRatio;//损伤粒率

    private String hotDamageRatio;//热损伤粒率

    private String huskedRiceWeight;//糙米重

    private String checkTimeType;//春秋普查类型

    private Integer flagType;//保存:1,提交:2

    private String storequality; //指标结果判定

    private String subTypeDetail; // 明细品种

    private Date rksj;

    @ApiModelProperty(value="指标类别,0 宜存；1 轻度不宜存；2 重度不宜存；3 达标； 4 不达标；5 合格；6 不合格 #分割")
    private String zblb;

    @ApiModelProperty(value="扦样区域")
    private String qyqy;

    @ApiModelProperty(value="样品等级")
    private String ypdj;

    @ApiModelProperty(value="其它病粒")
    private String qtbl;

    @ApiModelProperty(value="小麦硬度指数")
    private String xmydzs;

    @ApiModelProperty(value="审核人姓名")
    private String shrxm;

    @ApiModelProperty(value="是否正常存储年限（0：否 1是）")
    private String sfzcccnx;

    @ApiModelProperty(value="糙米粒")
    private String caomili;

}