    --  create table xwk_kcxx as 
      SELECT  sys_guid() as kcxxid,--1库存信息id
              p.hwbm   AS  HWBM,  --2  货位编码-
              to_char(A.rq,'yyyy') AS ND, --3 年度
                   A.PERIODID AS QJ, --4 期间
                   A.PZ AS PZBM, --5 粮食品种编码
                   A.HWXZ AS LSXZBM, --6 粮食性质编码
                   A.rq  AS RKSJ, --7 入库时间
                   A.DJ  AS DJBM, --8 粮食等级代码
                   F.GROW_YEAR  AS SHND, --9 收获年度 
                   F.FILLING_TIME AS FCSJ, --10 封仓时间
                   F.number AS FCSL,--11封仓数量 
                   a.kcsl, --12 库存数量
                   a.scdd as cd,
                   a.gb,
                   p.warehouse_status as hwzt
         FROM lsreport_ts_center:DATA_KCGL_KCSW_DEFAULT A --库存数量      
            left JOIN depot_center:BASIC_WAREHOUSE P --仓房记录信息
                ON A.UNITID = P.ORG_ID
               AND A.CH = P.STOREHOUSE_ID
               AND A.HWH = P.WAREHOUSE_ID
             left JOIN depot_center:STORAGE_FOODBASICINFO F
                ON P.ORG_ID = F.ORG_ID
                and P.STOREHOUSE_ID=f.house_id
              LEFT JOIN lsreport_ts_center:BASIC_ENUM M
                ON M.ENUMID = F.GROW_YEAR
               AND M.PARENTID = '1004'
