insert into xwk_zljc(
 ZLJCid, --1质量检测id
 yyywid, --2粮卡id
 JCLX, --3检查类型 0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查'
 PZ, --4品种
 XXDPZ, --5详细的品种
 dj, --6等级
 JYRQ, --7检验日期
 JYJG, --8检验结果
 kqmc,--9库区编码
 cfmc,--10仓房名称
 hwdm,--11货位名称
 jyr,--12检验人
 jydw, --13检验单位
 rksj,--14入库时间
 sl,--15数量
 cd,--16产地
 bgy,--17保管员
 shnd,--18收货年度
 qyr,--19扦样人
 qyrq, --20扦样日期
 jybgcjrq, -- 21检验报告出具日期
 sjly )--22
select  
 sys_guid() as ZLJCid, --1质量检测id
 t.id as yyywid, --2粮卡id
 case when type='0' then '初检' 
      when type='1' then '验收' 
      when type='2' then '春秋普查' 
      when type='3' then '出库检验' 
      when type='4' then '日常检验'
      else '第三方检查' end as JCLX, --3检查类型 0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查'
 t2.enumname  as PZ, --4品种
 t1.enumname  as XXDPZ, --5详细的品种
 t3.enumname as dj, --6等级
 check_time as JYRQ, --7检验日期
 case when check_result='0' then '合格' 
      when check_result='1' then '不合格'
      else null end  as JYJG,       --8检验结果
 t4.org_name as kqmc,--9库区编码
 t5.storehouse_name as cfmc,--10仓房名称
 t6.hwbm as hwbm,--11货位名称
 checker as jyr,--12检验人
 accept_unite as jydw, --13检验单位
 input_time as rksj,--14入库时间
 number as sl,--15数量
 t7.enumname as cd,--16产地
 keeper as bgy,--17保管员
 harvest_time as shnd,--18收货年度
 chooser as qyr,--19扦样人
 choose_time as qyrq, --20扦样日期
 check_result_time as jybgcjrq, -- 21检验报告出具日期
 '库平台' as sjly --22
 from depot_center:storage_qualitycheck t 
 left join depot_center:basic_enum t1 on t.sub_type_detailed=t1.enumid --and t1.parentid='3164'
 left join depot_center:basic_enum t2 on t.sub_type=t2.enumid and t2.parentid='1061'
 left join depot_center:basic_enum t3 on t.level=t3.enumid and t3.parentid='1002'
 left join depot_center:org_info t4 on t.org_id=t4.org_id
 left join depot_center: basic_storehouse t5 on t.org_id=t5.org_id and t.house_id=t5.storehouse_id
 left join depot_center: basic_warehouse t6 on t.org_id=t6.org_id and t.house_id=t6.storehouse_id and t.warehouse_id=t6.warehouse_id
 left join depot_center:basic_enum t7 on t.location=t7.enumid and t7.parentid='1151'；
 
 
 insert into xwk_zljc(
 ZLJCid, --1质量检测id
 yyywid, --2粮卡id
 JCLX, --3检查类型 0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查'
 PZ, --4品种
 XXDPZ, --5详细的品种
 dj, --6等级
 JYRQ, --7检验日期
 --JYJG, --8检验结果
 kqmc,--9库区编码
 cfmc,--10仓房名称
 hwdm,--11货位名称
 jyr,--12检验人
 jydw, --13检验单位
 rksj,--14入库时间
 sl,--15数量
 cd,--16产地
 bgy,--17保管员
 shnd,--18收货年度
 qyr,--19扦样人
 qyrq, --20扦样日期
 jybgcjrq, -- 21检验报告出具日期
 sjly )--22
 select  
 sys_guid() as ZLJCid, --1质量检测id
 b.zjxxid as yyywid, --2粮卡id
 t.zjbh  as JCLX, --3检查类型
 b.lspzmc as PZ, --4品种
 b.lspzmc  as XXDPZ, --5详细的品种
 t1.dict_name as dj, --6等级
 b.jyrq as JYRQ, --7检验日期
 --b.jyjg  as JYJG, --8检验结果
 b.sskdmc,--9库区名称
 b.sscfmc,--10仓房id
 b.hwbm,--11货位id b.hwbm
 b.jyr as checker,--12检验人
 b.jydwmc as accept_unite, --13检验单位
 t.rksj as rksj,--14入库时间
 b.dbsldw as sl,--15数量
 b.lscd as cd,--16产地
 '' as keeper,--17保管员
 b.shnd as harvest_time,--18收货年度
 qyrmc,--19扦样人
 '' as choose_time, --20扦样日期
 '' as check_result_time, -- 21检验报告出具日期
 '市平台' as sjly --22
 from   quality:wt t  
      join quality:ZJBG g on t.id=g.wtid 
      join quality:TY_ZJXXZB b on b.zjxxid=g.id
      left join usercenter:sys_dictionary t1 on replace(b.lsdjbm,'0','')=t1.dict_code and  T1.group_id='LSDJ';
